TileSets = {}


-- function GenerateEmptyDungeon(width,height)
-- 	local dungeonData = {}
-- 	for index=1,width*height do
-- 		dungeonData[index] = "A Empty Tile"
-- 	end
-- 	return dungeonData
-- end

TileSets.StoneAndBone =
{
	Name = "Stone & Bone Tileset",
	TileData =
	{
		Size = {Height=15,Width=15},
	},
	Tiles =
	{
		-- empty tile
		{
			Name = "A Empty Tile",
			Template = "NONE",
			Rotation = Loc(0,0,0),
			Icon = 
			{
				2,2,2,2,2,2,2,2,2,2,
				2,0,0,0,0,0,0,0,0,2,
				2,0,0,0,0,0,0,0,0,2,
				2,0,0,0,0,0,0,0,0,2,
				2,0,0,0,0,0,0,0,0,2,
				2,0,0,0,0,0,0,0,0,2,
				2,0,0,0,0,0,0,0,0,2,
				2,0,0,0,0,0,0,0,0,2,
				2,0,0,0,0,0,0,0,0,2,
				2,2,2,2,2,2,2,2,2,2,
			},
		},
	-- 	-- Corners
	-- 	{
	-- 		Name = "Corner - North",
	-- 		Template = "tileset_bone_corner",
	-- 		Rotation = Loc(0,-90,0),
	-- 		Icon = 
	-- 		{
	-- 			1,1,1,1,1,1,1,1,1,1,
	-- 			0,0,0,0,0,0,0,0,0,1,
	-- 			0,0,0,0,0,0,0,0,0,1,
	-- 			0,0,0,0,0,0,0,0,0,1,
	-- 			0,0,0,0,0,0,0,0,0,1,
	-- 			0,0,0,0,0,0,0,0,0,1,
	-- 			0,0,0,0,0,0,0,0,0,1,
	-- 			0,0,0,0,0,0,0,0,0,1,
	-- 			0,0,0,0,0,0,0,0,0,1,
	-- 			0,0,0,0,0,0,0,0,0,1,
	-- 		},
	-- 	},
	-- 	{
	-- 		Name = "Corner - East",
	-- 		Template = "tileset_bone_corner",
	-- 		Rotation = Loc(0,0,0),
	-- 		Icon = 
	-- 		{
	-- 			0,0,0,0,0,0,0,0,0,1,
	-- 			0,0,0,0,0,0,0,0,0,1,
	-- 			0,0,0,0,0,0,0,0,0,1,
	-- 			0,0,0,0,0,0,0,0,0,1,
	-- 			0,0,0,0,0,0,0,0,0,1,
	-- 			0,0,0,0,0,0,0,0,0,1,
	-- 			0,0,0,0,0,0,0,0,0,1,
	-- 			0,0,0,0,0,0,0,0,0,1,
	-- 			0,0,0,0,0,0,0,0,0,1,
	-- 			1,1,1,1,1,1,1,1,1,1,
	-- 		},
	-- 	},
	-- 	{
	-- 		Name = "Corner - South",
	-- 		Template = "tileset_bone_corner",
	-- 		Rotation = Loc(0,90,0),
	-- 		Icon = 
	-- 		{
	-- 			1,0,0,0,0,0,0,0,0,0,
	-- 			1,0,0,0,0,0,0,0,0,0,
	-- 			1,0,0,0,0,0,0,0,0,0,
	-- 			1,0,0,0,0,0,0,0,0,0,
	-- 			1,0,0,0,0,0,0,0,0,0,
	-- 			1,0,0,0,0,0,0,0,0,0,
	-- 			1,0,0,0,0,0,0,0,0,0,
	-- 			1,0,0,0,0,0,0,0,0,0,
	-- 			1,0,0,0,0,0,0,0,0,0,
	-- 			1,1,1,1,1,1,1,1,1,1,
	-- 		},
	-- 	},
	-- 	{
	-- 		Name = "Corner - West",
	-- 		Template = "tileset_bone_corner",
	-- 		Rotation = Loc(0,180,0),
	-- 		Icon = 
	-- 		{
	-- 			1,1,1,1,1,1,1,1,1,1,
	-- 			1,0,0,0,0,0,0,0,0,0,
	-- 			1,0,0,0,0,0,0,0,0,0,
	-- 			1,0,0,0,0,0,0,0,0,0,
	-- 			1,0,0,0,0,0,0,0,0,0,
	-- 			1,0,0,0,0,0,0,0,0,0,
	-- 			1,0,0,0,0,0,0,0,0,0,
	-- 			1,0,0,0,0,0,0,0,0,0,
	-- 			1,0,0,0,0,0,0,0,0,0,
	-- 			1,0,0,0,0,0,0,0,0,0,
	-- 		},
	-- 	},						

	-- -- No Walls
	-- 	{
	-- 		Name = "No Walls",
	-- 		Template = "tileset_bone_nowalls",
	-- 		Rotation = Loc(0,0,0),
	-- 		Icon = 
	-- 		{
	-- 			0,0,0,0,0,0,0,0,0,0,
	-- 			0,0,0,0,0,0,0,0,0,0,
	-- 			0,0,0,0,0,0,0,0,0,0,
	-- 			0,0,0,0,0,0,0,0,0,0,
	-- 			0,0,0,0,0,0,0,0,0,0,
	-- 			0,0,0,0,0,0,0,0,0,0,
	-- 			0,0,0,0,0,0,0,0,0,0,
	-- 			0,0,0,0,0,0,0,0,0,0,
	-- 			0,0,0,0,0,0,0,0,0,0,
	-- 			0,0,0,0,0,0,0,0,0,0,
	-- 		},
	-- 	},						

	-- -- Hallway

	-- 	{
	-- 		Name = "Hallway - West/East",
	-- 		Template = "tileset_bone_hallway",
	-- 		Rotation = Loc(0,0,0),
	-- 		Icon = 
	-- 		{
	-- 			1,1,1,1,1,1,1,1,1,1,
	-- 			0,0,0,0,0,0,0,0,0,0,
	-- 			0,0,0,0,0,0,0,0,0,0,
	-- 			0,0,0,0,0,0,0,0,0,0,
	-- 			0,0,0,0,0,0,0,0,0,0,
	-- 			0,0,0,0,0,0,0,0,0,0,
	-- 			0,0,0,0,0,0,0,0,0,0,
	-- 			0,0,0,0,0,0,0,0,0,0,
	-- 			0,0,0,0,0,0,0,0,0,0,
	-- 			1,1,1,1,1,1,1,1,1,1,
	-- 		},
	-- 	},
	-- 	{
	-- 		Name = "Hallway - North/South",
	-- 		Template = "tileset_bone_hallway",
	-- 		Rotation = Loc(0,90,0),
	-- 		Icon = 
	-- 		{
	-- 			1,0,0,0,0,0,0,0,0,1,
	-- 			1,0,0,0,0,0,0,0,0,1,
	-- 			1,0,0,0,0,0,0,0,0,1,
	-- 			1,0,0,0,0,0,0,0,0,1,
	-- 			1,0,0,0,0,0,0,0,0,1,
	-- 			1,0,0,0,0,0,0,0,0,1,
	-- 			1,0,0,0,0,0,0,0,0,1,
	-- 			1,0,0,0,0,0,0,0,0,1,
	-- 			1,0,0,0,0,0,0,0,0,1,
	-- 			1,0,0,0,0,0,0,0,0,1,
	-- 		},
	-- 	},	

	-- 	-- Hallway Endcaps
	-- 	{
	-- 		Name = "Hallway Endcap - North",
	-- 		Template = "tileset_bone_hallway_endcap",
	-- 		Rotation = Loc(0,0,0),
	-- 		Icon = 
	-- 		{
	-- 			1,1,1,1,1,1,1,1,1,1,
	-- 			0,0,0,0,0,0,0,0,0,1,
	-- 			0,0,0,0,0,0,0,0,0,1,
	-- 			0,0,0,0,0,0,0,0,0,1,
	-- 			0,0,0,0,0,0,0,0,0,1,
	-- 			0,0,0,0,0,0,0,0,0,1,
	-- 			0,0,0,0,0,0,0,0,0,1,
	-- 			0,0,0,0,0,0,0,0,0,1,
	-- 			0,0,0,0,0,0,0,0,0,1,
	-- 			1,1,1,1,1,1,1,1,1,1,
	-- 		},
	-- 	},
	-- 	{
	-- 		Name = "Hallway Endcap - East",
	-- 		Template = "tileset_bone_hallway_endcap",
	-- 		Rotation = Loc(0,90,0),
	-- 		Icon = 
	-- 		{
	-- 			1,0,0,0,0,0,0,0,0,1,
	-- 			1,0,0,0,0,0,0,0,0,1,
	-- 			1,0,0,0,0,0,0,0,0,1,
	-- 			1,0,0,0,0,0,0,0,0,1,
	-- 			1,0,0,0,0,0,0,0,0,1,
	-- 			1,0,0,0,0,0,0,0,0,1,
	-- 			1,0,0,0,0,0,0,0,0,1,
	-- 			1,0,0,0,0,0,0,0,0,1,
	-- 			1,0,0,0,0,0,0,0,0,1,
	-- 			1,1,1,1,1,1,1,1,1,1,
	-- 		},
	-- 	},							
	-- 	{
	-- 		Name = "Hallway Endcap - South",
	-- 		Template = "tileset_bone_hallway_endcap",
	-- 		Rotation = Loc(0,180,0),
	-- 		Icon = 
	-- 		{
	-- 			1,1,1,1,1,1,1,1,1,1,
	-- 			1,0,0,0,0,0,0,0,0,0,
	-- 			1,0,0,0,0,0,0,0,0,0,
	-- 			1,0,0,0,0,0,0,0,0,0,
	-- 			1,0,0,0,0,0,0,0,0,0,
	-- 			1,0,0,0,0,0,0,0,0,0,
	-- 			1,0,0,0,0,0,0,0,0,0,
	-- 			1,0,0,0,0,0,0,0,0,0,
	-- 			1,0,0,0,0,0,0,0,0,0,
	-- 			1,1,1,1,1,1,1,1,1,1,
	-- 		},
	-- 	},	
	-- 	{
	-- 		Name = "Hallway Endcap - West",
	-- 		Template = "tileset_bone_hallway_endcap",
	-- 		Rotation = Loc(0,270,0),
	-- 		Icon = 
	-- 		{
	-- 			1,1,1,1,1,1,1,1,1,1,
	-- 			1,0,0,0,0,0,0,0,0,1,
	-- 			1,0,0,0,0,0,0,0,0,1,
	-- 			1,0,0,0,0,0,0,0,0,1,
	-- 			1,0,0,0,0,0,0,0,0,1,
	-- 			1,0,0,0,0,0,0,0,0,1,
	-- 			1,0,0,0,0,0,0,0,0,1,
	-- 			1,0,0,0,0,0,0,0,0,1,
	-- 			1,0,0,0,0,0,0,0,0,1,
	-- 			1,0,0,0,0,0,0,0,0,1,
	-- 		},
	-- 	},

		-- passageway tiles			
		{
			Name = "Passage - East/West",
			Template = "tileset_bone_passage_strait",
			Rotation = Loc(0,0,0),
			Icon = 
			{
				0,0,0,0,0,0,0,0,0,0,
				0,0,0,0,0,0,0,0,0,0,
				0,0,0,0,0,0,0,0,0,0,
				1,1,1,1,1,1,1,1,1,1,
				0,0,0,0,0,0,0,0,0,0,
				0,0,0,0,0,0,0,0,0,0,
				1,1,1,1,1,1,1,1,1,1,
				0,0,0,0,0,0,0,0,0,0,
				0,0,0,0,0,0,0,0,0,0,
				0,0,0,0,0,0,0,0,0,0,
			},
		},			
		{
			Name = "Passage - North/South",
			Template = "tileset_bone_passage_strait",
			Rotation = Loc(0,90,0),
			Icon = 
			{
				0,0,0,1,0,0,1,0,0,0,
				0,0,0,1,0,0,1,0,0,0,
				0,0,0,1,0,0,1,0,0,0,
				0,0,0,1,0,0,1,0,0,0,
				0,0,0,1,0,0,1,0,0,0,
				0,0,0,1,0,0,1,0,0,0,
				0,0,0,1,0,0,1,0,0,0,
				0,0,0,1,0,0,1,0,0,0,
				0,0,0,1,0,0,1,0,0,0,
				0,0,0,1,0,0,1,0,0,0,
			},
		},		

		-- passageway endcaps
		{
			Name = "Passage Endcap - North",
			Template = "tileset_bone_passage_endcap",
			Rotation = Loc(0,0,0),
			Icon = 
			{
				0,0,0,0,0,0,0,0,0,0,
				0,0,0,0,0,0,0,0,0,0,
				0,0,0,0,0,0,0,0,0,0,
				1,1,1,1,1,1,1,1,1,1,
				0,0,0,0,0,0,0,0,0,1,
				0,0,0,0,0,0,0,0,0,1,
				1,1,1,1,1,1,1,1,1,1,
				0,0,0,0,0,0,0,0,0,0,
				0,0,0,0,0,0,0,0,0,0,
				0,0,0,0,0,0,0,0,0,0,
			},
		},		
		{
			Name = "Passage Endcap - East",
			Template = "tileset_bone_passage_endcap",
			Rotation = Loc(0,90,0),
			Icon = 
			{
				0,0,0,1,0,0,1,0,0,0,
				0,0,0,1,0,0,1,0,0,0,
				0,0,0,1,0,0,1,0,0,0,
				0,0,0,1,0,0,1,0,0,0,
				0,0,0,1,0,0,1,0,0,0,
				0,0,0,1,0,0,1,0,0,0,
				0,0,0,1,0,0,1,0,0,0,
				0,0,0,1,0,0,1,0,0,0,
				0,0,0,1,0,0,1,0,0,0,
				0,0,0,1,1,1,1,0,0,0,
			},
		},
		{
			Name = "Passage Endcap - South",
			Template = "tileset_bone_passage_endcap",
			Rotation = Loc(0,180,0),
			Icon = 
			{
				0,0,0,0,0,0,0,0,0,0,
				0,0,0,0,0,0,0,0,0,0,
				0,0,0,0,0,0,0,0,0,0,
				1,1,1,1,1,1,1,1,1,1,
				1,0,0,0,0,0,0,0,0,0,
				1,0,0,0,0,0,0,0,0,0,
				1,1,1,1,1,1,1,1,1,1,
				0,0,0,0,0,0,0,0,0,0,
				0,0,0,0,0,0,0,0,0,0,
				0,0,0,0,0,0,0,0,0,0,
			},
		},	
		{
			Name = "Passage Endcap - West",
			Template = "tileset_bone_passage_endcap",
			Rotation = Loc(0,270,0),
			Icon = 
			{
				0,0,0,1,1,1,1,0,0,0,
				0,0,0,1,0,0,1,0,0,0,
				0,0,0,1,0,0,1,0,0,0,
				0,0,0,1,0,0,1,0,0,0,
				0,0,0,1,0,0,1,0,0,0,
				0,0,0,1,0,0,1,0,0,0,
				0,0,0,1,0,0,1,0,0,0,
				0,0,0,1,0,0,1,0,0,0,
				0,0,0,1,0,0,1,0,0,0,
				0,0,0,1,0,0,1,0,0,0,
			},
		},		
		-- passageway 4 way
		{
			Name = "Passage - 4 Way",
			Template = "tileset_bone_passage_4way",
			Rotation = Loc(0,0,0),
			Icon = 
			{
				0,0,0,1,0,0,1,0,0,0,
				0,0,0,1,0,0,1,0,0,0,
				0,0,0,1,0,0,1,0,0,0,
				1,1,1,1,0,0,1,1,1,1,
				0,0,0,0,0,0,0,0,0,0,
				0,0,0,0,0,0,0,0,0,0,
				1,1,1,1,0,0,1,1,1,1,
				0,0,0,1,0,0,1,0,0,0,
				0,0,0,1,0,0,1,0,0,0,
				0,0,0,1,0,0,1,0,0,0,
			},
		},		

		-- passageway 2 way
		{
			Name = "Passage - 2 Way North",
			Template = "tileset_bone_passage_3way",
			Rotation = Loc(0,0,0),
			Icon = 
			{
				0,0,0,1,0,0,1,0,0,0,
				0,0,0,1,0,0,1,0,0,0,
				0,0,0,1,0,0,1,0,0,0,
				1,1,1,1,0,0,1,1,1,1,
				0,0,0,0,0,0,0,0,0,0,
				0,0,0,0,0,0,0,0,0,0,
				1,1,1,1,1,1,1,1,1,1,
				0,0,0,0,0,0,0,0,0,0,
				0,0,0,0,0,0,0,0,0,0,
				0,0,0,0,0,0,0,0,0,0,
			},
		},	
		{
			Name = "Passage - 2 Way East",
			Template = "tileset_bone_passage_3way",
			Rotation = Loc(0,90,0),
			Icon = 
			{
				0,0,0,1,0,0,1,0,0,0,
				0,0,0,1,0,0,1,0,0,0,
				0,0,0,1,0,0,1,0,0,0,
				0,0,0,1,0,0,1,1,1,1,
				0,0,0,1,0,0,0,0,0,0,
				0,0,0,1,0,0,0,0,0,0,
				0,0,0,1,0,0,1,1,1,1,
				0,0,0,1,0,0,1,0,0,0,
				0,0,0,1,0,0,1,0,0,0,
				0,0,0,1,0,0,1,0,0,0,
			},
		},	
		{
			Name = "Passage - 2 Way South",
			Template = "tileset_bone_passage_3way",
			Rotation = Loc(0,180,0),
			Icon = 
			{
				0,0,0,0,0,0,0,0,0,0,
				0,0,0,0,0,0,0,0,0,0,
				0,0,0,0,0,0,0,0,0,0,
				1,1,1,1,1,1,1,1,1,1,
				0,0,0,0,0,0,0,0,0,0,
				0,0,0,0,0,0,0,0,0,0,
				1,1,1,1,0,0,1,1,1,1,
				0,0,0,1,0,0,1,0,0,0,
				0,0,0,1,0,0,1,0,0,0,
				0,0,0,1,0,0,1,0,0,0,
			},
		},	
		{
			Name = "Passage - 2 Way West",
			Template = "tileset_bone_passage_3way",
			Rotation = Loc(0,270,0),
			Icon = 
			{
				0,0,0,1,0,0,1,0,0,0,
				0,0,0,1,0,0,1,0,0,0,
				0,0,0,1,0,0,1,0,0,0,
				1,1,1,1,0,0,1,0,0,0,
				0,0,0,0,0,0,1,0,0,0,
				0,0,0,0,0,0,1,0,0,0,
				1,1,1,1,0,0,1,0,0,0,
				0,0,0,1,0,0,1,0,0,0,
				0,0,0,1,0,0,1,0,0,0,
				0,0,0,1,0,0,1,0,0,0,
			},
		},
		-- passageway corners
		{
			Name = "Passage - Corner North",
			Template = "tileset_bone_passage_corner",
			Rotation = Loc(0,0,0),
			Icon = 
			{
				0,0,0,1,0,0,1,0,0,0,
				0,0,0,1,0,0,1,0,0,0,
				0,0,0,1,0,0,1,0,0,0,
				1,1,1,1,0,0,1,0,0,0,
				0,0,0,0,0,0,1,0,0,0,
				0,0,0,0,0,0,1,0,0,0,
				1,1,1,1,1,1,1,0,0,0,
				0,0,0,0,0,0,0,0,0,0,
				0,0,0,0,0,0,0,0,0,0,
				0,0,0,0,0,0,0,0,0,0,
			},
		},
		{
			Name = "Passage - Corner East",
			Template = "tileset_bone_passage_corner",
			Rotation = Loc(0,90,0),
			Icon = 
			{
				0,0,0,1,0,0,1,0,0,0,
				0,0,0,1,0,0,1,0,0,0,
				0,0,0,1,0,0,1,0,0,0,
				0,0,0,1,0,0,1,1,1,1,
				0,0,0,1,0,0,0,0,0,0,
				0,0,0,1,0,0,0,0,0,0,
				0,0,0,1,1,1,1,1,1,1,
				0,0,0,0,0,0,0,0,0,0,
				0,0,0,0,0,0,0,0,0,0,
				0,0,0,0,0,0,0,0,0,0,
			},
		},		
		{
			Name = "Passage - Corner South",
			Template = "tileset_bone_passage_corner",
			Rotation = Loc(0,180,0),
			Icon = 
			{
				0,0,0,0,0,0,0,0,0,0,
				0,0,0,0,0,0,0,0,0,0,
				0,0,0,0,0,0,0,0,0,0,
				0,0,0,1,1,1,1,1,1,1,
				0,0,0,1,0,0,0,0,0,0,
				0,0,0,1,0,0,0,0,0,0,
				0,0,0,1,0,0,1,1,1,1,
				0,0,0,1,0,0,1,0,0,0,
				0,0,0,1,0,0,1,0,0,0,
				0,0,0,1,0,0,1,0,0,0,
			},
		},
		{
			Name = "Passage - Corner West",
			Template = "tileset_bone_passage_corner",
			Rotation = Loc(0,270,0),
			Icon = 
			{
				0,0,0,0,0,0,0,0,0,0,
				0,0,0,0,0,0,0,0,0,0,
				0,0,0,0,0,0,0,0,0,0,
				1,1,1,1,1,1,1,0,0,0,
				0,0,0,0,0,0,1,0,0,0,
				0,0,0,0,0,0,1,0,0,0,
				1,1,1,1,0,0,1,0,0,0,
				0,0,0,1,0,0,1,0,0,0,
				0,0,0,1,0,0,1,0,0,0,
				0,0,0,1,0,0,1,0,0,0,
			},
		},

		-- room corners 2 Exits
		{
			Name = "Room 2 Exits - North",
			Template = "tileset_bone_room_corner_2exits",
			Rotation = Loc(0,-270,0),
			Icon = 
			{
				1,1,1,1,0,0,1,1,1,1,
				1,0,0,0,0,0,0,0,0,1,
				1,0,0,0,0,0,0,0,0,1,
				1,0,0,0,0,0,0,0,0,1,
				1,0,0,0,0,0,0,0,0,0,
				1,0,0,0,0,0,0,0,0,0,
				1,0,0,0,0,0,0,0,0,1,
				1,0,0,0,0,0,0,0,0,1,
				1,0,0,0,0,0,0,0,0,1,
				1,1,1,1,1,1,1,1,1,1,
			},
			EndCaps = 
			{
				{Rotation=Loc(0,-90,0),XOffset=7.5,YOffset=2.85,ZOffset=2.505},
				{Rotation=Loc(0,180,0),XOffset=2.505,YOffset=2.85,ZOffset=-7.5},				
			}				
		},
		{
			Name = "Room 2 Exits - East",
			Template = "tileset_bone_room_corner_2exits",
			Rotation = Loc(0,-180,0),
			Icon = 
			{
				1,1,1,1,1,1,1,1,1,1,
				1,0,0,0,0,0,0,0,0,1,
				1,0,0,0,0,0,0,0,0,1,
				1,0,0,0,0,0,0,0,0,1,
				1,0,0,0,0,0,0,0,0,0,
				1,0,0,0,0,0,0,0,0,0,
				1,0,0,0,0,0,0,0,0,1,
				1,0,0,0,0,0,0,0,0,1,
				1,0,0,0,0,0,0,0,0,1,
				1,1,1,1,0,0,1,1,1,1,
			},
			EndCaps = 
			{
				{Rotation=Loc(0,-90,0),XOffset=7.5,YOffset=2.85,ZOffset=2.505},
				{Rotation=Loc(0,0,0),XOffset=-2.505,YOffset=2.85,ZOffset=7.5},				
			}
		},
		{
			Name = "Room 2 Exits - South",
			Template = "tileset_bone_room_corner_2exits",
			Rotation = Loc(0,-90,0),
			Icon = 
			{
				1,1,1,1,1,1,1,1,1,1,
				1,0,0,0,0,0,0,0,0,1,
				1,0,0,0,0,0,0,0,0,1,
				1,0,0,0,0,0,0,0,0,1,
				0,0,0,0,0,0,0,0,0,1,
				0,0,0,0,0,0,0,0,0,1,
				1,0,0,0,0,0,0,0,0,1,
				1,0,0,0,0,0,0,0,0,1,
				1,0,0,0,0,0,0,0,0,1,
				1,1,1,1,0,0,1,1,1,1,
			},
			EndCaps = 
			{
				{Rotation=Loc(0,90,0),XOffset=-7.5,YOffset=2.85,ZOffset=-2.505},
				{Rotation=Loc(0,0,0),XOffset=-2.505,YOffset=2.85,ZOffset=7.5},				
			}			
		},
		{
			Name = "Room 2 Exits - West",
			Template = "tileset_bone_room_corner_2exits",
			Rotation = Loc(0,0,0),
			Icon = 
			{
				1,1,1,1,0,0,1,1,1,1,
				1,0,0,0,0,0,0,0,0,1,
				1,0,0,0,0,0,0,0,0,1,
				1,0,0,0,0,0,0,0,0,1,
				0,0,0,0,0,0,0,0,0,1,
				0,0,0,0,0,0,0,0,0,1,
				1,0,0,0,0,0,0,0,0,1,
				1,0,0,0,0,0,0,0,0,1,
				1,0,0,0,0,0,0,0,0,1,
				1,1,1,1,1,1,1,1,1,1,
			},
			EndCaps = 
			{
				{Rotation=Loc(0,90,0),XOffset=-7.5,YOffset=2.85,ZOffset=-2.505},
				{Rotation=Loc(0,180,0),XOffset=2.505,YOffset=2.85,ZOffset=-7.5},				
			}
		},

		{
			Name = "Room 2 Exits - North/South",
			Template = "tileset_bone_room_2exits",
			Rotation = Loc(0,90,0),
			Icon = 
			{
				1,1,1,1,0,0,1,1,1,1,
				1,0,0,0,0,0,0,0,0,1,
				1,0,0,0,0,0,0,0,0,1,
				1,0,0,0,0,0,0,0,0,1,
				1,0,0,0,0,0,0,0,0,1,
				1,0,0,0,0,0,0,0,0,1,
				1,0,0,0,0,0,0,0,0,1,
				1,0,0,0,0,0,0,0,0,1,
				1,0,0,0,0,0,0,0,0,1,
				1,1,1,1,0,0,1,1,1,1,
			},
			EndCaps = 
			{
				{Rotation=Loc(0,180,0),XOffset=2.505,YOffset=2.85,ZOffset=-7.5},				
				{Rotation=Loc(0,0,0),XOffset=-2.505,YOffset=2.85,ZOffset=7.5},				
			}			
		},
		{
			Name = "Room 2 Exits - East/West",
			Template = "tileset_bone_room_2exits",
			Rotation = Loc(0,0,0),
			Icon = 
			{
				1,1,1,1,1,1,1,1,1,1,
				1,0,0,0,0,0,0,0,0,1,
				1,0,0,0,0,0,0,0,0,1,
				1,0,0,0,0,0,0,0,0,1,
				0,0,0,0,0,0,0,0,0,0,
				0,0,0,0,0,0,0,0,0,0,
				1,0,0,0,0,0,0,0,0,1,
				1,0,0,0,0,0,0,0,0,1,
				1,0,0,0,0,0,0,0,0,1,
				1,1,1,1,1,1,1,1,1,1,
			},
			EndCaps = 
			{
				{Rotation=Loc(0,-90,0),XOffset=7.5,YOffset=2.85,ZOffset=2.505},
				{Rotation=Loc(0,-270,0),XOffset=-7.5,YOffset=2.85,ZOffset=-2.505},			
			}				
		},

		-- room 1 exit
		{
			Name = "Room 1 Exit - North",
			Template = "tileset_bone_room_1exit",
			Rotation = Loc(0,90,0),
			Icon = 
			{
				1,1,1,1,0,0,1,1,1,1,
				1,0,0,0,0,0,0,0,0,1,
				1,0,0,0,0,0,0,0,0,1,
				1,0,0,0,0,0,0,0,0,1,
				1,0,0,0,0,0,0,0,0,1,
				1,0,0,0,0,0,0,0,0,1,
				1,0,0,0,0,0,0,0,0,1,
				1,0,0,0,0,0,0,0,0,1,
				1,0,0,0,0,0,0,0,0,1,
				1,1,1,1,1,1,1,1,1,1,
			},
			EndCaps = 
			{
				{Rotation=Loc(0,180,0),XOffset=2.505,YOffset=2.85,ZOffset=-7.5},
			}			
		},
		{
			Name = "Room 1 Exit - East",
			Template = "tileset_bone_room_1exit",
			Rotation = Loc(0,180,0),
			Icon = 
			{
				1,1,1,1,1,1,1,1,1,1,
				1,0,0,0,0,0,0,0,0,1,
				1,0,0,0,0,0,0,0,0,1,
				1,0,0,0,0,0,0,0,0,1,
				1,0,0,0,0,0,0,0,0,0,
				1,0,0,0,0,0,0,0,0,0,
				1,0,0,0,0,0,0,0,0,1,
				1,0,0,0,0,0,0,0,0,1,
				1,0,0,0,0,0,0,0,0,1,
				1,1,1,1,1,1,1,1,1,1,
			},
			EndCaps = 
			{
				{Rotation=Loc(0,270,0),XOffset=7.5,YOffset=2.85,ZOffset=2.505},
			}
		},
		{
			Name = "Room 1 Exit - South",
			Template = "tileset_bone_room_1exit",
			Rotation = Loc(0,270,0),
			Icon = 
			{
				1,1,1,1,1,1,1,1,1,1,
				1,0,0,0,0,0,0,0,0,1,
				1,0,0,0,0,0,0,0,0,1,
				1,0,0,0,0,0,0,0,0,1,
				1,0,0,0,0,0,0,0,0,1,
				1,0,0,0,0,0,0,0,0,1,
				1,0,0,0,0,0,0,0,0,1,
				1,0,0,0,0,0,0,0,0,1,
				1,0,0,0,0,0,0,0,0,1,
				1,1,1,1,0,0,1,1,1,1,
			},
			EndCaps = 
			{
				{Rotation=Loc(0,0,0),XOffset=-2.505,YOffset=2.85,ZOffset=7.5},
			}			
		},
		{
			Name = "Room 1 Exit - West",
			Template = "tileset_bone_room_1exit",
			Rotation = Loc(0,0,0),
			Icon = 
			{
				1,1,1,1,1,1,1,1,1,1,
				1,0,0,0,0,0,0,0,0,1,
				1,0,0,0,0,0,0,0,0,1,
				1,0,0,0,0,0,0,0,0,1,
				0,0,0,0,0,0,0,0,0,1,
				0,0,0,0,0,0,0,0,0,1,
				1,0,0,0,0,0,0,0,0,1,
				1,0,0,0,0,0,0,0,0,1,
				1,0,0,0,0,0,0,0,0,1,
				1,1,1,1,1,1,1,1,1,1,
			},
			EndCaps = 
			{
				{Rotation=Loc(0,90,0),XOffset=-7.5,YOffset=2.85,ZOffset=-2.505},
			}
		},
		-- room 2 exits

		-- room 3 exits
		{
			Name = "Room 3 Exits - North",
			Template = "tileset_bone_room_3exits",
			Rotation = Loc(0,90,0),
			Icon = 
			{
				1,1,1,1,0,0,1,1,1,1,
				1,0,0,0,0,0,0,0,0,1,
				1,0,0,0,0,0,0,0,0,1,
				1,0,0,0,0,0,0,0,0,1,
				1,0,0,0,0,0,0,0,0,0,
				1,0,0,0,0,0,0,0,0,0,
				1,0,0,0,0,0,0,0,0,1,
				1,0,0,0,0,0,0,0,0,1,
				1,0,0,0,0,0,0,0,0,1,
				1,1,1,1,0,0,1,1,1,1,
			},
			EndCaps = 
			{
				{Rotation=Loc(0,-90,0),XOffset=7.5,YOffset=2.85,ZOffset=2.505},
				{Rotation=Loc(0,180,0),XOffset=2.505,YOffset=2.85,ZOffset=-7.5},				
				{Rotation=Loc(0,0,0),XOffset=-2.505,YOffset=2.85,ZOffset=7.5},				
			}			
		},
		{
			Name = "Room 3 Exits - East",
			Template = "tileset_bone_room_3exits",
			Rotation = Loc(0,180,0),
			Icon = 
			{
				1,1,1,1,1,1,1,1,1,1,
				1,0,0,0,0,0,0,0,0,1,
				1,0,0,0,0,0,0,0,0,1,
				1,0,0,0,0,0,0,0,0,1,
				0,0,0,0,0,0,0,0,0,0,
				0,0,0,0,0,0,0,0,0,0,
				1,0,0,0,0,0,0,0,0,1,
				1,0,0,0,0,0,0,0,0,1,
				1,0,0,0,0,0,0,0,0,1,
				1,1,1,1,0,0,1,1,1,1,
			},
			EndCaps = 
			{
				{Rotation=Loc(0,-90,0),XOffset=7.5,YOffset=2.85,ZOffset=2.505},
				{Rotation=Loc(0,90,0),XOffset=-7.5,YOffset=2.85,ZOffset=-2.505},

				{Rotation=Loc(0,0,0),XOffset=-2.505,YOffset=2.85,ZOffset=7.5},				
			}			
		},	
		{
			Name = "Room 3 Exits - South",
			Template = "tileset_bone_room_3exits",
			Rotation = Loc(0,270,0),
			Icon = 
			{
				1,1,1,1,0,0,1,1,1,1,
				1,0,0,0,0,0,0,0,0,1,
				1,0,0,0,0,0,0,0,0,1,
				1,0,0,0,0,0,0,0,0,1,
				0,0,0,0,0,0,0,0,0,1,
				0,0,0,0,0,0,0,0,0,1,
				1,0,0,0,0,0,0,0,0,1,
				1,0,0,0,0,0,0,0,0,1,
				1,0,0,0,0,0,0,0,0,1,
				1,1,1,1,0,0,1,1,1,1,
			},
			EndCaps = 
			{
				{Rotation=Loc(0,90,0),XOffset=-7.5,YOffset=2.85,ZOffset=-2.505},
				{Rotation=Loc(0,180,0),XOffset=2.505,YOffset=2.85,ZOffset=-7.5},				
				{Rotation=Loc(0,0,0),XOffset=-2.505,YOffset=2.85,ZOffset=7.5},				
			}			
		},
		{
			Name = "Room 3 Exits - West",
			Template = "tileset_bone_room_3exits",
			Rotation = Loc(0,0,0),
			Icon = 
			{
				1,1,1,1,0,0,1,1,1,1,
				1,0,0,0,0,0,0,0,0,1,
				1,0,0,0,0,0,0,0,0,1,
				1,0,0,0,0,0,0,0,0,1,
				0,0,0,0,0,0,0,0,0,0,
				0,0,0,0,0,0,0,0,0,0,
				1,0,0,0,0,0,0,0,0,1,
				1,0,0,0,0,0,0,0,0,1,
				1,0,0,0,0,0,0,0,0,1,
				1,1,1,1,1,1,1,1,1,1,
			},
			EndCaps = 
			{
				{Rotation=Loc(0,-90,0),XOffset=7.5,YOffset=2.85,ZOffset=2.505},
				{Rotation=Loc(0,90,0),XOffset=-7.5,YOffset=2.85,ZOffset=-2.505},
				{Rotation=Loc(0,180,0),XOffset=2.505,YOffset=2.85,ZOffset=-7.5},								
			}			
		},	

		-- room 4 exits
		{
			Name = "Room 4 Exits",
			Template = "tileset_bone_room_4exits",
			Rotation = Loc(0,0,0),
			Icon = 
			{
				1,1,1,1,0,0,1,1,1,1,
				1,0,0,0,0,0,0,0,0,1,
				1,0,0,0,0,0,0,0,0,1,
				1,0,0,0,0,0,0,0,0,1,
				0,0,0,0,0,0,0,0,0,0,
				0,0,0,0,0,0,0,0,0,0,
				1,0,0,0,0,0,0,0,0,1,
				1,0,0,0,0,0,0,0,0,1,
				1,0,0,0,0,0,0,0,0,1,
				1,1,1,1,0,0,1,1,1,1,
			},
			EndCaps = 
			{
				{Rotation=Loc(0,180,0),XOffset=2.505,YOffset=2.85,ZOffset=-7.5},				
				{Rotation=Loc(0,0,0),XOffset=-2.505,YOffset=2.85,ZOffset=7.5},
				{Rotation=Loc(0,-90,0),XOffset=7.5,YOffset=2.85,ZOffset=2.505},
				{Rotation=Loc(0,-270,0),XOffset=-7.5,YOffset=2.85,ZOffset=-2.505},									
			}			
		},		
	},
}

-- alphabetize the tiles by name this should be done for all tables once loaded for ease of menu generation and other misc reasons.
table.sort(TileSets.StoneAndBone.Tiles,function (a,b)
	return a.Name < b.Name
end)


