require 'default:globals.helpers.recipes'

function GetRecipeSkillRequired(recipe,material)
	local entry, skillName = GetRecipeFromEntryName(recipe)
	local modifier = 0
	if(entry.CanImprove and material) then
		local materialIndex = IndexOf(MaterialIndex[skillName],material)
		-- set our own values for the following material types
		if(material=="Leather") then
			materialIndex = 1
		elseif(material=="BeastLeather") then
			materialIndex = 3		
		elseif(material=="VileLeather") then
			materialIndex = 5
		end
		modifier = ((materialIndex-1)*ServerSettings.Crafting.MaterialSkillDifficultyModifier)
	end
	return math.min(100,entry.MinLevelToCraft + modifier), math.min(100,entry.MaxLevelToGain + modifier)
end