
MobileEffectLibrary.Hearth = 
{

	OnEnterState = function(self,root,target,args)
		if ( not self.ParentObj:IsPlayer() ) then
			EndMobileEffect(root)
			return false
		end

		self.Target = target

		AddBuffIcon(self.ParentObj, "HearthEffect", "Hearth", "Ignite", "You are warmed by the hearth fire.", false)
	end,

	OnExitState = function(self,root)
		RemoveBuffIcon(self.ParentObj, "HearthEffect")
	end,

	

	GetPulseFrequency = function(self,root)
		return self.PulseFrequency
	end,

	AiPulse = function(self,root)
		if( not self.Target:IsValid() or self.ParentObj:DistanceFrom(self.Target) > 10 ) then
			EndMobileEffect(root)	
		end
	end,

	PulseFrequency = TimeSpan.FromSeconds(2), --used as a way to verify the effect is still valid
}