require 'default:globals.static_data.skills'

-- remove these skills
SkillData.AllSkills.SorcerySkill.Skip = true
SkillData.AllSkills.SummoningSkill.Skip = true
SkillData.AllSkills.FishingSkill.Skip = true
SkillData.AllSkills.LumberjackSkill.Skip = true
SkillData.AllSkills.MiningSkill.Skip = true
SkillData.AllSkills.MusicianshipSkill.Skip = true
SkillData.AllSkills.EntertainmentSkill.Skip = true
SkillData.AllSkills.AnimalTamingSkill.Skip = true
SkillData.AllSkills.BeastmasterySkill.Skip = true
SkillData.AllSkills.AnimalLoreSkill.Skip = true
SkillData.AllSkills.MartialProwessSkill.Skip = true
SkillData.AllSkills.TreasureHuntingSkill.Skip = true
SkillData.AllSkills.SnoopingSkill.Skip = true
SkillData.AllSkills.MagicalAttunementSkill.Skip = true
SkillData.AllSkills.MagicAffinitySkill.Skip = true
SkillData.AllSkills.MeleeSkill.Skip = true
SkillData.AllSkills.StealthSkill.Skip = true
SkillData.AllSkills.StealingSkill.Skip = true
SkillData.AllSkills.BrawlingSkill.Skip = true
SkillData.AllSkills.LockpickingSkill.Skip = true
SkillData.AllSkills.MagerySkill.Skip = true
SkillData.AllSkills.HealingSkill.Skip = true

-- rename these skills for the skillbook display
SkillData.AllSkills.ChannelingSkill.DisplayName = "Casting: Meditation"
SkillData.AllSkills.AlchemySkill.DisplayName = "Crafting: Alchemy"
SkillData.AllSkills.ArcherySkill.DisplayName = "Combat: Archery"
SkillData.AllSkills.BashingSkill.DisplayName = "Combat: Bashing"
SkillData.AllSkills.MetalsmithSkill.DisplayName = "Crafting: Blacksmithing"
SkillData.AllSkills.BlockingSkill.DisplayName = "Combat: Blocking"
SkillData.AllSkills.WoodsmithSkill.DisplayName = "Crafting: Carpentry"
SkillData.AllSkills.CookingSkill.DisplayName = "Crafting: Cooking"
SkillData.AllSkills.FabricationSkill.DisplayName = "Crafting: Fabrication"

--SkillData.AllSkills.HealingSkill.DisplayName = "Utility: Healing"
SkillData.AllSkills.HidingSkill.DisplayName = "Utility: Hiding"
SkillData.AllSkills.LancingSkill.DisplayName = "Combat: Lancing"
SkillData.AllSkills.MagerySkill.DisplayName = "Casting: Magery"
SkillData.AllSkills.PiercingSkill.DisplayName = "Combat: Piercing"
SkillData.AllSkills.SlashingSkill.DisplayName = "Combat: Slashing"
SkillData.AllSkills.InscriptionSkill.DisplayName = "Crafting: Inscription"

-- change the skill icon used for these skills
SkillData.AllSkills.ChannelingSkill.SkillIcon = "Skill_Evocation"
SkillData.AllSkills.AlchemySkill.SkillIcon = "Skill_Woodsmith"
SkillData.AllSkills.ArcherySkill.SkillIcon = "Skill_Gladiator"
SkillData.AllSkills.BashingSkill.SkillIcon = "Skill_Gladiator"
SkillData.AllSkills.MetalsmithSkill.SkillIcon = "Skill_Woodsmith"
SkillData.AllSkills.BlockingSkill.SkillIcon = "Skill_Gladiator"
SkillData.AllSkills.WoodsmithSkill.SkillIcon = "Skill_Woodsmith"
SkillData.AllSkills.CookingSkill.SkillIcon = "Skill_Woodsmith"
SkillData.AllSkills.FabricationSkill.SkillIcon = "Skill_Woodsmith"
--SkillData.AllSkills.HealingSkill.SkillIcon = "Skill_FirstAid"
SkillData.AllSkills.HidingSkill.SkillIcon = "Skill_FirstAid"
SkillData.AllSkills.LancingSkill.SkillIcon = "Skill_Gladiator"
SkillData.AllSkills.MagerySkill.SkillIcon = "Skill_Evocation"
SkillData.AllSkills.PiercingSkill.SkillIcon = "Skill_Gladiator"
SkillData.AllSkills.SlashingSkill.SkillIcon = "Skill_Gladiator"
SkillData.AllSkills.InscriptionSkill.SkillIcon = "Skill_Woodsmith"


SkillData.AllSkills.ArcherySkill.GainFactor = 0.3
SkillData.AllSkills.BashingSkill.GainFactor = 0.3
SkillData.AllSkills.PiercingSkill.GainFactor = 0.3
SkillData.AllSkills.SlashingSkill.GainFactor = 0.3
SkillData.AllSkills.LancingSkill.GainFactor = 0.3

-- new skills
SkillData.AllSkills.ElectromancySkill =
{
	DisplayName = "Casting: Electromancy",
	PrimaryStat = "Intelligence",
	Description = "The fundimental understanding of the electromagnetic spectrum and how to weild its destructive power.",
	SkillType = "CombatTypeSkill",
	GainFactor = 0.3,
	SkillIcon = "Skill_Evocation",
	Abilities = { "ElectromancyKnowledge" },	
}

SkillData.AllSkills.PyromancySkill =
{
	DisplayName = "Casting: Pyromancy",
	PrimaryStat = "Intelligence",
	Description = "The fundimental understanding of the element of fire and how to manipulate its destructive power. ",
	SkillType = "CombatTypeSkill",
	GainFactor = 0.3,	
	SkillIcon = "Skill_Evocation",
	Abilities = { "PyromancyKnowledge" },	
}

SkillData.AllSkills.TheologySkill =
{
	DisplayName = "Casting: Theology",
	PrimaryStat = "Intelligence",
	Description = "The fundimental understanding of the gods in this world and how to pray for their divine intervention.",
	SkillType = "CombatTypeSkill",
	GainFactor = 0.3,	
	SkillIcon = "Skill_Evocation",
	Abilities = { "TheologyKnowledge" },	
}

SkillData.AllSkills.BiomancySkill =
{
	DisplayName = "Casting: Biomancy",
	PrimaryStat = "Intelligence",
	Description = "The fundimental understanding of the the way physical life works and how to twist it to your desires.",
	SkillType = "CombatTypeSkill",
	GainFactor = 0.3,	
	SkillIcon = "Skill_Evocation",
	Abilities = { "BiomancyKnowledge" },	
}

SkillData.AllSkills.ConjurationSkill =
{
	DisplayName = "Casting: Conjuration",
	PrimaryStat = "Intelligence",
	Description = "The fundimental understanding of manifestating physical objects into this world.",
	SkillType = "CombatTypeSkill",
	GainFactor = 0.3,	
	SkillIcon = "Skill_Evocation",
	Abilities = { "ConjurationKnowledge" },	
}

SkillData.AllSkills.TacticsSkill =
{
	DisplayName = "Combat: Tactics",
	PrimaryStat = "Agility",
	Description = "The fundimental understanding of combat maneuvers with weapons in hand.",
	SkillType = "CombatTypeSkill",
	GainFactor = 0.3,	
	SkillIcon = "Skill_Gladiator",	
}

SkillData.AllSkills.SalvagingSkill =
{
	DisplayName = "Utility: Salvaging",
	PrimaryStat = "Strength",
	Description = "The fundimental understanding of breaking down items to their basic parts.",
	SkillType = "CombatTypeSkill",
	GainFactor = 0.3,	
	SkillIcon = "Skill_FirstAid",
	Abilities = { "Salvaging" },	
}

SkillData.AllSkills.DisenchantingSkill =
{
	DisplayName = "Utility: Disenchanting",
	PrimaryStat = "Intelligence",
	Description = "The fundimental understanding of the removal of magical power from items.",
	SkillType = "CombatTypeSkill",
	GainFactor = 0.3,	
	SkillIcon = "Skill_FirstAid",
	Abilities = { "Disenchanting" },	
}

SkillData.AllSkills.RunicKnowledgeSkill =
{
	DisplayName = "Crafting: Runic Knowledge",
	PrimaryStat = "Intelligence",
	Description = "The fundimental understanding and usage of adding magical powers to items.",
	SkillType = "CombatTypeSkill",
	GainFactor = 0.3,	
	SkillIcon = "Skill_Woodsmith",	
}
