ItemProperties = {}
ItemProperties.Profile = {}
ItemProperties.MaterialBonus = {}

--- this controls the chances for each table in the profile for a item
ItemProperties.PropertyChance = 
{
	Primary = 1.0,
	Secondary = 0.45,
	ItemClass = 0.15,
	SkillClass = 0.20,
}

--- this controls the color of the text of the item generated based on its power level
ItemProperties.ItemNameColor =
{
	Magic = "[7777CC]",
	RareMagic = "[CCCC77]",
	EpicMagic = "[FF8822]",
}

-- material bonus property profiles
require 'itemproperties.profiles.materials.main'

-- weapon item property profiles
require 'itemproperties.profiles.piercing.main'
require 'itemproperties.profiles.slashing.main'
require 'itemproperties.profiles.lancing.main'
require 'itemproperties.profiles.bashing.main'
require 'itemproperties.profiles.archery.main'

-- armor item property profiles
require 'itemproperties.profiles.chain_armor.main'
require 'itemproperties.profiles.fullplate_armor.main'
require 'itemproperties.profiles.hardened_armor.main'
require 'itemproperties.profiles.leather_armor.main'
require 'itemproperties.profiles.padded_armor.main'
require 'itemproperties.profiles.linen_armor.main'

-- wizards hats & robes
require 'itemproperties.profiles.mage_armor.main'