ItemProperties.Profile["weapon_longsword"] =
{
	Primary =
	{
		Chance = ItemProperties.PropertyChance.Primary,
		Enchants =
		{
			{EssenceKey="ItemPropertyCombatHitChance",Intensity={Min=1,Max=10}},
			{EssenceKey="ItemPropertyCombatDefenseChance",Intensity={Min=1,Max=10}},
			{EssenceKey="ItemPropertyCombatAttackSpeedTimes",Intensity={Min=1,Max=20}},
			{EssenceKey="ItemPropertyCombatAttackDamagePlus",Intensity={Min=1,Max=5}},
		},
	},
	Secondary =
	{
		Chance = ItemProperties.PropertyChance.Secondary,
		Enchants =
		{
			{EssenceKey="ItemPropertyRuneOfStrength",Intensity={Min=1,Max=5}},
			{EssenceKey="ItemPropertyRuneOfAgility",Intensity={Min=1,Max=5}},
			{EssenceKey="ItemPropertyRuneOfIntelligence",Intensity={Min=1,Max=5}},
			{EssenceKey="ItemPropertyRuneOfWisdom",Intensity={Min=1,Max=5}},
			{EssenceKey="ItemPropertyRuneOfWill",Intensity={Min=1,Max=5}},
		},
	},
	ItemClass =
	{
		Chance = ItemProperties.PropertyChance.ItemClass,
		Enchants =
		{
			{EssenceKey="ItemPropertyRuneOfMasteryPotions",Intensity={Min=1,Max=25}},
			{EssenceKey="ItemPropertyRuneOfMasterySlashing",Intensity={Min=0.05,Max=0.25}},
		},
	},
	SkillClass =
	{
		Chance = ItemProperties.PropertyChance.SkillClass,
		Enchants =
		{
			{EssenceKey="ItemPropertySkillGainIncreaseTimes",Intensity={Min=1,Max=10}},
			{EssenceKey="ItemPropertyGoldIncreaseTimes",Intensity={Min=1,Max=10}},
			{EssenceKey="ItemPropertyManaReductionTimes",Intensity={Min=1,Max=8}},
			{EssenceKey="ItemPropertyRuneOfHauling",Intensity={Min=1,Max=10}},

			{EssenceKey="ItemPropertyOnHitSpellFireballLeechHealth",Intensity={Min=5,Max=15}},
			{EssenceKey="ItemPropertyOnHitSpellFireballLeechMana",Intensity={Min=5,Max=15}},
			{EssenceKey="ItemPropertyOnHitSpellFireballLeechStamina",Intensity={Min=5,Max=15}},
			{EssenceKey="ItemPropertyOnHitSpellFireballStarfall",Intensity={Min=5,Max=10}},
			{EssenceKey="ItemPropertyDamageBonusSpellFireball",Intensity={Min=5,Max=10}},
			{EssenceKey="ItemPropertyFireballSpecialFlameJump",Intensity={Min=10,Max=20}},
			
			{EssenceKey="ItemPropertyOnHitSpellChainExplosionLeechHealth",Intensity={Min=5,Max=15}},
			{EssenceKey="ItemPropertyOnHitSpellChainExplosionLeechMana",Intensity={Min=5,Max=15}},
			{EssenceKey="ItemPropertyOnHitSpellChainExplosionLeechStamina",Intensity={Min=5,Max=15}},
			{EssenceKey="ItemPropertyChainExplosionSpecialExtraExplosion",Intensity={Min=1,Max=2}},
			{EssenceKey="ItemPropertyChainExplosionSpecialShortFuse",Intensity={Min=10,Max=30}},
			{EssenceKey="ItemPropertyDamageBonusSpellChainExplosion",Intensity={Min=1,Max=10}},

			{EssenceKey="ItemPropertyOnHitFlameWhirlExplosionLeechHealth",Intensity={Min=1,Max=10}},
			{EssenceKey="ItemPropertyDamageBonusSpellFlameWhirl",Intensity={Min=1,Max=10}},
			{EssenceKey="ItemPropertyOnHitSpellFlameWhirlLeechMana",Intensity={Min=1,Max=10}},
			{EssenceKey="ItemPropertyOnHitSpellFlameWhirlLeechStamina",Intensity={Min=1,Max=10}},
		},		
	}
}