SpawnerProfile = {}

SpawnDelayRules =
{
	-- 10 minutes
	Slow = TimeSpan.FromSeconds(600),
	-- 7 1/2 minutes
	Medium = TimeSpan.FromSeconds(450),
	-- 5 minutes
	Fast = TimeSpan.FromSeconds(300),
	-- 1 seconds
	Testing = TimeSpan.FromSeconds(1),
	-- 1 second
	Vendor = TimeSpan.FromSeconds(1),
}

-- the snarlfang camps spawner profiles
require 'spawnerprofiles.snarlfangcamp.snarlfang_goblins_profile'

-- snarlfangcrypts spawner profiles
require 'spawnerprofiles.snarlfangcrypts.snarlfang_crypts_profile'
require 'spawnerprofiles.snarlfangcrypts.snarlfang_crypts_boss1_profile'
require 'spawnerprofiles.snarlfangcrypts.snarlfang_crypts_boss2_profile'

-- morose graveyard spawner profiles
require 'spawnerprofiles.morosegraveyard.morose_skeleton_profile'

-- ghook spawner profiles
require 'spawnerprofiles.ghook.ghook_giants_profile'

-- the landing merchant profiles
require 'spawnerprofiles.thelanding.merchant_armorsmith'
require 'spawnerprofiles.thelanding.merchant_weaponsmith'
require 'spawnerprofiles.thelanding.merchant_banker'
require 'spawnerprofiles.thelanding.merchant_reagents'
require 'spawnerprofiles.thelanding.merchant_scrolls'
require 'spawnerprofiles.thelanding.merchant_tailor'
require 'spawnerprofiles.thelanding.merchant_leatherworker'
require 'spawnerprofiles.thelanding.merchant_generalmounts'


-- the landing trainer profiles
require 'spawnerprofiles.thelanding.trainer_bowyer'
require 'spawnerprofiles.thelanding.trainer_weaponsmith'
require 'spawnerprofiles.thelanding.trainer_armorsmith'
require 'spawnerprofiles.thelanding.trainer_leather'
require 'spawnerprofiles.thelanding.trainer_tailor'

-- the trench spawner profiles
require 'spawnerprofiles.thetrench.the_trench_human_profile'