-- user interface information
RecipeCategories.MetalsmithSkill = 
{	
	{
		Name = "Weapons",
		Subcategories = {
			{"Slashing","Slashing","Slashing"},
			{"Bashing","Bashing","Bashing"},
			{"Piercing","Piercing","Piercing"},
			{"Polearms","Polearms","Bones"},
		},
	},	
	{
		Name = "Armor",
		Subcategories = {
			{"Head",},
			{"Legs",},
			{"Torso",},
		},
	},
}

-- piercing class recipes
AllRecipes.MetalsmithSkill.Dagger = 
{
	MinLevelToCraft = CraftingDifficulty.Easy.Min,
	MaxLevelToGain = CraftingDifficulty.Easy.Max,
	DisplayName = "Dagger",
	CraftingTemplateFile = "weapon_dagger",
	ItemType = "WeaponClass",
	CanImprove = true,
	Category = "Weapons",
	Subcategory = "Piercing",
	NeedRecipe = true,
	EnableCraftOrder = true,
	Resources = 
	{
		Iron = { Iron = 1 },
		Gold = { Gold = 1 },
		Copper = { Copper = 1 },
		Cobalt = { Cobalt = 1 },
		Obsidian = { Obsidian = 1 },
	},
}

AllRecipes.MetalsmithSkill.Kryss = 
{
	MinLevelToCraft = CraftingDifficulty.Easy.Min,
	MaxLevelToGain = CraftingDifficulty.Easy.Max,
	DisplayName = "Kryss",
	CraftingTemplateFile = "weapon_kryss",
	ItemType = "WeaponClass",
	CanImprove = true,
	Category = "Weapons",
	Subcategory = "Piercing",
	NeedRecipe = true,
	EnableCraftOrder = true,
	Resources = 
	{
		Iron = { Iron = 1 },
		Gold = { Gold = 1 },
		Copper = { Copper = 1 },
		Cobalt = { Cobalt = 1 },
		Obsidian = { Obsidian = 1 },
	},
}

AllRecipes.MetalsmithSkill.Poniard = 
{
	MinLevelToCraft = CraftingDifficulty.Easy.Min,
	MaxLevelToGain = CraftingDifficulty.Easy.Max,
	DisplayName = "Poniard",
	CraftingTemplateFile = "weapon_poniard",
	ItemType = "WeaponClass",
	CanImprove = true,
	Category = "Weapons",
	Subcategory = "Piercing",
	NeedRecipe = true,
	EnableCraftOrder = true,
	Resources = 
	{
		Iron = { Iron = 1 },
		Gold = { Gold = 1 },
		Copper = { Copper = 1 },
		Cobalt = { Cobalt = 1 },
		Obsidian = { Obsidian = 1 },
	},
}

AllRecipes.MetalsmithSkill.BoneDagger = 
{
	MinLevelToCraft = CraftingDifficulty.Easy.Min,
	MaxLevelToGain = CraftingDifficulty.Easy.Max,
	DisplayName = "Bone Dagger",
	CraftingTemplateFile = "weapon_bone_dagger",
	ItemType = "WeaponClass",
	CanImprove = true,
	Category = "Weapons",
	Subcategory = "Piercing",
	NeedRecipe = true,
	EnableCraftOrder = true,
	Resources = 
	{
		Iron = { Iron = 1 },
		Gold = { Gold = 1 },
		Copper = { Copper = 1 },
		Cobalt = { Cobalt = 1 },
		Obsidian = { Obsidian = 1 },
	},
}

-- slashing class recipes
AllRecipes.MetalsmithSkill.Longsword = 
{
	MinLevelToCraft = CraftingDifficulty.Easy.Min,
	MaxLevelToGain = CraftingDifficulty.Easy.Max,
	DisplayName = "Longsword",
	CraftingTemplateFile = "weapon_longsword",
	ItemType = "WeaponClass",
	CanImprove = true,
	Category = "Weapons",
	Subcategory = "Slashing",
	NeedRecipe = true,
	EnableCraftOrder = true,
	Resources = 
	{
		Iron = { Iron = 2 },
		Gold = { Gold = 2 },
		Copper = { Copper = 2 },
		Cobalt = { Cobalt = 2 },
		Obsidian = { Obsidian = 2 },
	},
}

AllRecipes.MetalsmithSkill.Broadsword = 
{
	MinLevelToCraft = CraftingDifficulty.Easy.Min,
	MaxLevelToGain = CraftingDifficulty.Easy.Max,
	DisplayName = "Broadsword",
	CraftingTemplateFile = "weapon_broadsword",
	ItemType = "WeaponClass",
	CanImprove = true,
	Category = "Weapons",
	Subcategory = "Slashing",
	NeedRecipe = true,
	EnableCraftOrder = true,
	Resources = 
	{
		Iron = { Iron = 2 },
		Gold = { Gold = 2 },
		Copper = { Copper = 2 },
		Cobalt = { Cobalt = 2 },
		Obsidian = { Obsidian = 2 },
	},
}

AllRecipes.MetalsmithSkill.Saber = 
{
	MinLevelToCraft = CraftingDifficulty.Easy.Min,
	MaxLevelToGain = CraftingDifficulty.Easy.Max,
	DisplayName = "Saber",
	CraftingTemplateFile = "weapon_saber",
	ItemType = "WeaponClass",
	CanImprove = true,
	Category = "Weapons",
	Subcategory = "Slashing",
	NeedRecipe = true,
	EnableCraftOrder = true,
	Resources = {
		Iron = { Iron = 2 },
		Gold = { Gold = 2 },
		Copper = { Copper = 2 },
		Cobalt = { Cobalt = 2 },
		Obsidian = { Obsidian = 2 },
	},
}

AllRecipes.MetalsmithSkill.Katana = 
{
	MinLevelToCraft = CraftingDifficulty.Easy.Min,
	MaxLevelToGain = CraftingDifficulty.Easy.Max,
	DisplayName = "Katana",
	CraftingTemplateFile = "weapon_katana",
	ItemType = "WeaponClass",
	CanImprove = true,
	Category = "Weapons",
	Subcategory = "Slashing",
	NeedRecipe = true,
	EnableCraftOrder = true,
	Resources = 
	{
		Iron = { Iron = 2 },
		Gold = { Gold = 2 },
		Copper = { Copper = 2 },
		Cobalt = { Cobalt = 2 },
		Obsidian = { Obsidian = 2 },
	},
}

AllRecipes.MetalsmithSkill.LargeAxe = 
{
	MinLevelToCraft = CraftingDifficulty.Normal.Min,
	MaxLevelToGain = CraftingDifficulty.Normal.Max,
	DisplayName = "Large Axe",
	CraftingTemplateFile = "weapon_largeaxe",
	ItemType = "WeaponClass",
	CanImprove = true,
	Category = "Weapons",
	Subcategory = "Slashing",
	NeedRecipe = true,
	EnableCraftOrder = true,
	Resources = 
	{
		Iron = { Iron = 3 },
		Gold = { Gold = 3 },
		Copper = { Copper = 3 },
		Cobalt = { Cobalt = 3 },
		Obsidian = { Obsidian = 3 },
	},
}

AllRecipes.MetalsmithSkill.GreatAxe = 
{
	MinLevelToCraft = CraftingDifficulty.Normal.Min,
	MaxLevelToGain = CraftingDifficulty.Normal.Max,
	DisplayName = "Great Axe",
	CraftingTemplateFile = "weapon_greataxe",
	ItemType = "WeaponClass",
	CanImprove = true,
	Category = "Weapons",
	Subcategory = "Slashing",
	NeedRecipe = true,
	EnableCraftOrder = true,
	Resources = 
	{
		Iron = { Iron = 3 },
		Gold = { Gold = 3 },
		Copper = { Copper = 3 },
		Cobalt = { Cobalt = 3 },
		Obsidian = { Obsidian = 3 },
	},
}

-- bashing class recipes
--NO QUARTERSTAFF
AllRecipes.MetalsmithSkill.Quarterstaff = nil

AllRecipes.MetalsmithSkill.Mace = 
{
	MinLevelToCraft = CraftingDifficulty.Easy.Min,
	MaxLevelToGain = CraftingDifficulty.Easy.Max,
	DisplayName = "Mace",
	CraftingTemplateFile = "weapon_mace",
	ItemType = "WeaponClass",
	CanImprove = true,
	Category = "Weapons",
	Subcategory = "Bashing",
	NeedRecipe = true,
	EnableCraftOrder = true,
	Resources = 
	{
		Iron = { Iron = 2 },
		Gold = { Gold = 2 },
		Copper = { Copper = 2 },
		Cobalt = { Cobalt = 2 },
		Obsidian = { Obsidian = 2 },
	},
}

AllRecipes.MetalsmithSkill.Hammer = 
{
	MinLevelToCraft = CraftingDifficulty.Easy.Min,
	MaxLevelToGain = CraftingDifficulty.Easy.Max,
	DisplayName = "Hammer",
	CraftingTemplateFile = "weapon_hammer",
	ItemType = "WeaponClass",
	CanImprove = true,
	Category = "Weapons",
	Subcategory = "Bashing",
	NeedRecipe = true,
	EnableCraftOrder = true,
	Resources = 
	{
		Iron = { Iron = 2 },
		Gold = { Gold = 2 },
		Copper = { Copper = 2 },
		Cobalt = { Cobalt = 2 },
		Obsidian = { Obsidian = 2 },
	},
}

AllRecipes.MetalsmithSkill.Maul = 
{
	MinLevelToCraft = CraftingDifficulty.Easy.Min,
	MaxLevelToGain = CraftingDifficulty.Easy.Max,
	DisplayName = "Maul",
	CraftingTemplateFile = "weapon_maul",
	ItemType = "WeaponClass",
	CanImprove = true,
	Category = "Weapons",
	Subcategory = "Bashing",
	NeedRecipe = true,
	EnableCraftOrder = true,
	Resources = 
	{
		Iron = { Iron = 2 },
		Gold = { Gold = 2 },
		Copper = { Copper = 2 },
		Cobalt = { Cobalt = 2 },
		Obsidian = { Obsidian = 2 },
	},
}

AllRecipes.MetalsmithSkill.WarMace = 
{
	MinLevelToCraft = CraftingDifficulty.Easy.Min,
	MaxLevelToGain = CraftingDifficulty.Easy.Max,
	DisplayName = "War Mace",
	CraftingTemplateFile = "weapon_war_mace",
	ItemType = "WeaponClass",
	CanImprove = true,
	Category = "Weapons",
	Subcategory = "Bashing",
	NeedRecipe = true,
	EnableCraftOrder = true,
	Resources = 
	{
		Iron = { Iron = 2 },
		Gold = { Gold = 2 },
		Copper = { Copper = 2 },
		Cobalt = { Cobalt = 2 },
		Obsidian = { Obsidian = 2 },
	},
}

AllRecipes.MetalsmithSkill.Warhammer = 
{
	MinLevelToCraft = CraftingDifficulty.Normal.Min,
	MaxLevelToGain = CraftingDifficulty.Normal.Max,

	DisplayName = "Warhammer",
	CraftingTemplateFile = "weapon_warhammer",
	ItemType = "WeaponClass",
	CanImprove = true,
	Category = "Weapons",
	Subcategory = "Bashing",
	NeedRecipe = true,
	EnableCraftOrder = true,
	Resources = 
	{
		Iron = { Iron = 3 },
		Gold = { Gold = 3 },
		Copper = { Copper = 3 },
		Cobalt = { Cobalt = 3 },
		Obsidian = { Obsidian = 3 },
	},
}

-- lancing class recipes
-- NO VOULGE
AllRecipes.MetalsmithSkill.Voulge = nil

AllRecipes.MetalsmithSkill.Pitchfork = 
{
	MinLevelToCraft = CraftingDifficulty.Easy.Min,
	MaxLevelToGain = CraftingDifficulty.Easy.Max,
	DisplayName = "Pitchfork",
	CraftingTemplateFile = "weapon_warfork",
	ItemType = "WeaponClass",
	CanImprove = true,
	Category = "Weapons",
	Subcategory = "Polearms",
	NeedRecipe = true,
	EnableCraftOrder = true,
	Resources = 
	{
		Iron = { Iron = 3 },
		Gold = { Gold = 3 },
		Copper = { Copper = 3 },
		Cobalt = { Cobalt = 3 },
		Obsidian = { Obsidian = 3 },
	},
}

AllRecipes.MetalsmithSkill.Spear = 
{
	MinLevelToCraft = CraftingDifficulty.Easy.Min,
	MaxLevelToGain = CraftingDifficulty.Easy.Max,
	DisplayName = "Spear",
	CraftingTemplateFile = "weapon_spear",
	ItemType = "WeaponClass",
	CanImprove = true,
	Category = "Weapons",
	Subcategory = "Polearms",
	NeedRecipe = true,
	EnableCraftOrder = true,
	Resources = 
	{
		Iron = { Iron = 3 },
		Gold = { Gold = 3 },
		Copper = { Copper = 3 },
		Cobalt = { Cobalt = 3 },
		Obsidian = { Obsidian = 3 },
	},
}

AllRecipes.MetalsmithSkill.Halberd = 
{
	MinLevelToCraft = CraftingDifficulty.Normal.Min,
	MaxLevelToGain = CraftingDifficulty.Normal.Max,
	DisplayName = "Halberd",
	CraftingTemplateFile = "weapon_halberd",
	ItemType = "WeaponClass",
	CanImprove = true,
	Category = "Weapons",
	Subcategory = "Polearms",
	NeedRecipe = true,
	EnableCraftOrder = true,
	Resources = 
	{
		Iron = { Iron = 3 },
		Gold = { Gold = 3 },
		Copper = { Copper = 3 },
		Cobalt = { Cobalt = 3 },
		Obsidian = { Obsidian = 3 },
	},
}

-- chain armor recipes
AllRecipes.MetalsmithSkill.ChainHelm = 
{
	MinLevelToCraft = CraftingDifficulty.Hard.Min,
	MaxLevelToGain = CraftingDifficulty.Hard.Max,
	DisplayName = "Chain Helm",
	CraftingTemplateFile = "armor_chain_helm",
	Description = "Chain Helms are very heavy armor pieces protecting a user's head. They absorb a massive amount of damage at the cost of agility.",
	ItemType = "ArmorClass",
	CanImprove = true,
	NeedRecipe = true,
	Category = "Armor",
	Subcategory = "Head",
	EnableCraftOrder = true,
	Resources = 
	{
		Iron = { Iron = 1 },
		Gold = { Gold = 1 },
		Copper = { Copper = 1 },
		Cobalt = { Cobalt = 1 },
		Obsidian = { Obsidian = 1 },
	},
}

AllRecipes.MetalsmithSkill.ChainLeggings = 
{
	MinLevelToCraft = CraftingDifficulty.Hard.Min,
	MaxLevelToGain = CraftingDifficulty.Hard.Max,
	DisplayName = "Chain Leggings",
	CraftingTemplateFile = "armor_chain_leggings",
	Description = "Chain Leggings are very heavy armor pieces protecting a user's head. They absorb a massive amount of damage at the cost of agility.",
	ItemType = "ArmorClass",
	CanImprove = true,
	NeedRecipe = true,
	Category = "Armor",
	Subcategory = "Legs",
	EnableCraftOrder = true,
	Resources = 
	{
		Iron = { Iron = 3 },
		Gold = { Gold = 3 },
		Copper = { Copper = 3 },
		Cobalt = { Cobalt = 3 },
		Obsidian = { Obsidian = 3 },
	},
}

AllRecipes.MetalsmithSkill.	ChainTunic = 
{
	MinLevelToCraft = CraftingDifficulty.Hard.Min,
	MaxLevelToGain = CraftingDifficulty.Hard.Max,
	DisplayName = "Chain Tunic",
	CraftingTemplateFile = "armor_chain_tunic",
	Description = "Chain Tunics are very heavy armor pieces protecting a user's torso.",
	ItemType = "ArmorClass",
	CanImprove = true,
	NeedRecipe = true,
	Category = "Armor",
	Subcategory = "Torso",
	EnableCraftOrder = true,
	Resources = 
	{
		Iron = { Iron = 3 },
		Gold = { Gold = 3 },
		Copper = { Copper = 3 },
		Cobalt = { Cobalt = 3 },
		Obsidian = { Obsidian = 3 },
	},
}

-- fullplate armor recipes

AllRecipes.MetalsmithSkill.FullPlateHelm = 
{
	MinLevelToCraft = CraftingDifficulty.VeryHard.Min,
	MaxLevelToGain = CraftingDifficulty.VeryHard.Max,
	DisplayName = "Full Plate Helm",
	CraftingTemplateFile = "armor_fullplate_helm",
	Description = "Full plate helms are very heavy armor pieces protecting a user's head.",
	ItemType = "ArmorClass",
	CanImprove = true,
	NeedRecipe = true,
	Category = "Armor",
	Subcategory = "Head",
	EnableCraftOrder = true,
	Resources = 
	{
		Iron = { Iron = 3 },
		Gold = { Gold = 3 },
		Copper = { Copper = 3 },
		Cobalt = { Cobalt = 3 },
		Obsidian = { Obsidian = 3 },
	},
}

AllRecipes.MetalsmithSkill.FullPlateLeggings = 
{
	MinLevelToCraft = CraftingDifficulty.VeryHard.Min,
	MaxLevelToGain = CraftingDifficulty.VeryHard.Max,
	DisplayName = "Full Plate Leggings",
	CraftingTemplateFile = "armor_fullplate_leggings",
	Description = "Full plate leggings are very heavy armor pieces protecting a user's legs.",
	ItemType = "ArmorClass",
	CanImprove = true,
	NeedRecipe = true,
	Category = "Armor",
	Subcategory = "Legs",
	EnableCraftOrder = true,
	Resources = 
	{
		Iron = { Iron = 5 },
		Gold = { Gold = 5 },
		Copper = { Copper = 5 },
		Cobalt = { Cobalt = 5 },
		Obsidian = { Obsidian = 5 },
	},
}

AllRecipes.MetalsmithSkill.FullPlateTunic = 
{
	MinLevelToCraft = CraftingDifficulty.VeryHard.Min,
	MaxLevelToGain = CraftingDifficulty.VeryHard.Max,
	DisplayName = "Full Plate Tunic",
	CraftingTemplateFile = "armor_fullplate_tunic",
	Description = "Full plate tunics are very heavy armor pieces protecting a user's torso.",
	ItemType = "ArmorClass",
	CanImprove = true,
	NeedRecipe = true,
	Category = "Armor",
	Subcategory = "Torso",
	EnableCraftOrder = true,
	Resources = 
	{
		Iron = { Iron = 5 },
		Gold = { Gold = 5 },
		Copper = { Copper = 5 },
		Cobalt = { Cobalt = 5 },
		Obsidian = { Obsidian = 5 },
	},
}

-- NO SCALE ARMOR
AllRecipes.MetalsmithSkill.ScaleHelm = nil
AllRecipes.MetalsmithSkill.ScaleLeggings = nil
AllRecipes.MetalsmithSkill.ScaleTunic = nil



