
function HandleOnModuleAttached()
	AddUseCase(this,"Add To Your Mount Collection",true)
end

function HandleMessageUseObject(user,usedType)
	if(usedType=="Add To Your Mount Collection") then
		local mountCollection = user:GetObjVar("MountCollection")
		if(mountCollection) then
			local category = this:GetObjVar("MountCategory")
			local categoryKey = this:GetObjVar("MountCategoryKey")
			if(mountCollection[category][categoryKey]) then
				user:SystemMessage("you have this mount")
				return
			else
				user:SystemMessage("you add this mount to your collection")
				if not(user:HasObjVar("CanUseMounts")) then
					user:SetObjVar("CanUseMounts",true)
				end

				mountCollection[category][categoryKey] = {}
				user:SetObjVar("MountCollection",mountCollection)
				this:Destroy()
			end
		end
	end
end


RegisterEventHandler(EventType.Message, "UseObject",HandleMessageUseObject) 

RegisterSingleEventHandler(EventType.ModuleAttached, GetCurrentModule(),HandleOnModuleAttached)