---
-- @param nameOfTile - (String) the name string variable of the tile in the table
function GetTileDataByName(nameOfTile) 
	for tileSetKey,tileSetValue in pairs(TileSets.StoneAndBone.Tiles) do
		if(tileSetValue.Name == nameOfTile) then
			local tile = tileSetValue
			return tile
		end
	end
end

---
-- @param
function GetDungeonDataByName(user,nameOfDungeon)
	local dungeonEditorTable = user:GetObjVar("DungeonEditor")
	for dungeonsKey,dungeonsValue in pairs(dungeonEditorTable.Dungeons) do
		if(dungeonsValue.Name == nameOfDungeon) then
			--print("FOUND Dungeon",nameOfDungeon)
			return dungeonsValue
		end
	end
end

---
-- @param
function GetDungeonIndex(user,nameOfDungeon)
	local dungeonEditorTable = user:GetObjVar("DungeonEditor")
	for dungeonsKey,dungeonsValue in pairs(dungeonEditorTable.Dungeons) do
		if(dungeonsValue.Name == nameOfDungeon) then
			return dungeonsKey
		end
	end
end

---
-- @param user - (GameObject) the admin using this dungeon editor
function IfNoUserData(user)
	if not(user:HasObjVar("DungeonEditor")) then
		user:SetObjVar("DungeonEditor",{Dungeons={},SelectedTile={},SelectedDungeon=""})
	end
end