---------------------------------------------------------------------------------------------------------
-- CLOTH ARMOR
---------------------------------------------------------------------------------------------------------
EquipmentStats.BaseArmorStats.Padded = 
{
	ArmorClass = "Cloth",
	SoundType = "leather",
	Head = {ArmorRating = BaseArmor.Helm.VeryWeak,},
	Chest = {ArmorRating = BaseArmor.Chest.VeryWeak,},
	Legs = {ArmorRating = BaseArmor.Leggings.VeryWeak,}
}

EquipmentStats.BaseArmorStats.Linen = 
{
	ArmorClass = "Cloth",
	SoundType = "leather",
	Head = {ArmorRating = BaseArmor.Helm.VeryWeak,},
	Chest = {ArmorRating = BaseArmor.Chest.VeryWeak,},
	Legs = {ArmorRating = BaseArmor.Leggings.VeryWeak,}
}

EquipmentStats.BaseArmorStats.MageRobe = 
{
	ArmorClass = "Cloth",
	SoundType = "leather",
	Head = {ArmorRating = BaseArmor.Helm.VeryWeak,},
	Chest = {ArmorRating = BaseArmor.Chest.VeryWeak,},
	Legs = {ArmorRating = BaseArmor.Leggings.VeryWeak,}
}
---------------------------------------------------------------------------------------------------------
-- LEATHER ARMOR
---------------------------------------------------------------------------------------------------------
EquipmentStats.BaseArmorStats.Leather = 
{
	ArmorClass = "Light",
	SoundType = "leather",
	Head = {ArmorRating = BaseArmor.Helm.Weak,},
	Chest = {ArmorRating = BaseArmor.Chest.Weak,},
	Legs = {ArmorRating = BaseArmor.Leggings.Weak,}
}
EquipmentStats.BaseArmorStats.Hardened = 
{
	ArmorClass = "Light",
	SoundType = "leather",
	Head = {ArmorRating = BaseArmor.Helm.Normal,},
	Chest = {ArmorRating = BaseArmor.Chest.Normal,},
	Legs = {ArmorRating = BaseArmor.Leggings.Normal,}
}

---------------------------------------------------------------------------------------------------------
-- METAL ARMOR
---------------------------------------------------------------------------------------------------------
EquipmentStats.BaseArmorStats.Chain = 
{
	ArmorClass = "Heavy",
	SoundType = "chainmail",
	Head = {ArmorRating = BaseArmor.Helm.Strong,AgiBonus = -1},
	Chest = {ArmorRating = BaseArmor.Chest.Strong,AgiBonus = -1},
	Legs = {ArmorRating = BaseArmor.Leggings.Strong,AgiBonus = -1}
}
EquipmentStats.BaseArmorStats.FullPlate = 
{
	ArmorClass = "Heavy",
	SoundType = "plate",
	Head = {ArmorRating = BaseArmor.Helm.VeryStrong,AgiBonus = -3},
	Chest = {ArmorRating = BaseArmor.Chest.VeryStrong,AgiBonus = -3},
	Legs = {ArmorRating = BaseArmor.Leggings.VeryStrong,AgiBonus = -3}
}

---------------------------------------------------------------------------------------------------------
-- SHIELDS
---------------------------------------------------------------------------------------------------------
EquipmentStats.BaseShieldStats.Buckler = 
{
	BaseBlockChance = 0,
	ArmorRating = BaseArmor.Shield.VeryWeak,
	MinSkill = 0,
}
EquipmentStats.BaseShieldStats.SmallShield = 
{
	BaseBlockChance = 0,
	ArmorRating = BaseArmor.Shield.Weak,
	MinSkill = 0,
}
EquipmentStats.BaseShieldStats.CurvedShield = 
{
	BaseBlockChance = 0,
	ArmorRating = BaseArmor.Shield.Normal,
	MinSkill = 0,
}
EquipmentStats.BaseShieldStats.LargeShield = 
{
	BaseBlockChance = 0,
	ArmorRating = BaseArmor.Shield.Strong,
	MinSkill = 0,
}
EquipmentStats.BaseShieldStats.HeaterShield = 
{
	BaseBlockChance = 0,
	ArmorRating = BaseArmor.Shield.VeryStrong,
	MinSkill = 0,
}




