------------------------------------------------------------------------------
-- FIREBALL PROPERTIES
------------------------------------------------------------------------------
-- EssenceData.ItemPropertyOnSpellTargetSplitFireball = 
-- {
--     EquipmentEditorVisibility = true,
--     EquipmentEditorTooltip = "When you first target before your fireball is casted, it will check to see how many targets you can hit by the plus amount. Then fireball each target, damage is reduced by 8% per target, 5 targets means 40% damage reduced on fireball, every target takes that damage.",
--     Name = "Rune of Fireball: Split",
--     Effect = "mobilemod",
--     EffectName = "Fireball Additional Target",
--     EffectMode = "plus",
--     MobileMod = "OnSpellTargetSplitFireball",
-- }

EssenceData.ItemPropertyOnHitSpellFireballLeechHealth = 
{
    EquipmentEditorVisibility = true,
    EquipmentEditorTooltip = "When your spell hits your target, there is a percent chance you will leech some life back",
    Name = "Rune of Fireball: On Hit Leech Life",
    Effect = "mobilemod",
    EffectName = "Fireball Restores Life On Hit",
    EffectMode = "percent",
    MobileMod = "OnHitSpellFireballLeechHealth",
}

EssenceData.ItemPropertyOnHitSpellFireballLeechMana = 
{
    EquipmentEditorVisibility = true,
    EquipmentEditorTooltip = "When your spell hits your target, there is a percent chance you will leech some mana back",
    Name = "Rune of Fireball: On Hit Leech Mana",
    Effect = "mobilemod",
    EffectName = "Fireball Restores Mana On Hit",
    EffectMode = "percent",
    MobileMod = "OnHitSpellFireballLeechMana",
}

EssenceData.ItemPropertyOnHitSpellFireballLeechStamina = 
{
    EquipmentEditorVisibility = true,
    EquipmentEditorTooltip = "When your spell hits your target, there is a percent chance you will leech some stamina back",
    Name = "Rune of Fireball: On Hit Leech Stamina",
    Effect = "mobilemod",
    EffectName = "Fireball Restores Stamina On Hit",
    EffectMode = "percent",
    MobileMod = "OnHitSpellFireballLeechStamina",
}

EssenceData.ItemPropertyOnHitSpellFireballStarfall = 
{
    EquipmentEditorVisibility = true,
    EquipmentEditorTooltip = "This effect will trigger on hitting your target. There is a percent chance it will drop a meteor down at the targets location.",
    Name = "Rune of Fireball: On Hit Starfall",
    Effect = "mobilemod",
    EffectName = "Fireball Can Summon Meteors",
    EffectMode = "percent",
    MobileMod = "OnHitSpellFireballStarfall",
}

EssenceData.ItemPropertyDamageBonusSpellFireball = 
{
    EquipmentEditorVisibility = true,
    EquipmentEditorTooltip = "This effect means you get plus this values damage added on top your fireball damage... [FFFF00]Very Powerful!![-]",
    Name = "Rune of Fireball: Extra Damage",
    Effect = "mobilemod",
    EffectName = "Firball Damage",
    EffectMode = "plus",
    MobileMod = "DamageBonusSpellFireball",
}

EssenceData.ItemPropertyFireballSpecialFlameJump = 
{
    EquipmentEditorVisibility = true,
    EquipmentEditorTooltip = "This effect will trigger when your fireball hits the target, there is a percent chance you will be teleported nearby your target.",
    Name = "Rune of Fireball: Flame Jump",
    Effect = "mobilemod",
    EffectName = "Fireball Causes Flame Jump",
    EffectMode = "percent",
    MobileMod = "FireballSpecialFlameJump",
}

-- EssenceData.ItemPropertyFireballSpecialConcussiveBlast = 
-- {
--     EquipmentEditorVisibility = true,
--     EquipmentEditorTooltip = "This effect will stun the target for 5 seconds if a monster or 2 seconds if a player. The percent is the chance it will happen when your spell hits.",
--     Name = "Rune of Fireball: Concussive Blast",
--     Effect = "mobilemod",
--     EffectName = "Fireball Causes Concussive Blast",
--     EffectMode = "percent",
--     MobileMod = "FireballSpecialConcussiveBlast",
-- }

------------------------------------------------------------------------------
-- CAUTERIZE WOUNDS PROPERTIES
------------------------------------------------------------------------------
EssenceData.ItemPropertyCauterizeWoundsOnTargetHealBack = 
{
    EquipmentEditorVisibility = true,
    EquipmentEditorTooltip = "This effect heals the target by giving them this percent of thier missing life total.",
    Name = "Rune of Cauterize Wounds: Heal Back",
    Effect = "mobilemod",
    EffectName = "Cauterize Wounds Heal",
    EffectMode = "percent",
    MobileMod = "CauterizeWoundsOnTargetHealBack",
}

EssenceData.ItemPropertyCauterizeWoundsOnCastIsFree = 
{
    EquipmentEditorVisibility = true,
    EquipmentEditorTooltip = "This effect when you cast this spell has a chance to refund all its mana back.",
    Name = "Rune of Cauterize Wounds: Refund Mana",
    Effect = "mobilemod",
    EffectName = "Cauterize Refunds Mana",
    EffectMode = "percent",
    MobileMod = "CauterizeWoundsOnCastIsFree",
}

EssenceData.ItemPropertyOnHitSpellCauterizeWoundsLeechHealth = 
{
    EquipmentEditorVisibility = true,
    EquipmentEditorTooltip = "When your spell hits your target, there is a percent chance you will leech some life back",
    Name = "Rune of Cauterize Wounds: On Hit Leech Life",
    Effect = "mobilemod",
    EffectName = "Cauterize Wounds Restores Life On Hit",
    EffectMode = "percent",
    MobileMod = "OnHitSpellCauterizeWoundsLeechHealth",
}

EssenceData.ItemPropertyOnHitSpellCauterizeWoundsLeechMana = 
{
    EquipmentEditorVisibility = true,
    EquipmentEditorTooltip = "When your spell hits your target, there is a percent chance you will leech some mana back",
    Name = "Rune of Cauterize Wounds: On Hit Leech Mana",
    Effect = "mobilemod",
    EffectName = "Cauterize Wounds Restores Mana On Hit",
    EffectMode = "percent",
    MobileMod = "OnHitSpellCauterizeWoundsLeechMana",
}

EssenceData.ItemPropertyOnHitSpellCauterizeWoundsLeechStamina = 
{
    EquipmentEditorVisibility = true,
    EquipmentEditorTooltip = "When your spell hits your target, there is a percent chance you will leech some stamina back",
    Name = "Rune of Cauterize Wounds: On Hit Leech Stamina",
    Effect = "mobilemod",
    EffectName = "Cauterize Wounds Restores Stamina On Hit",
    EffectMode = "percent",
    MobileMod = "OnHitSpellCauterizeWoundsLeechStamina",
}

------------------------------------------------------------------------------
-- CHAIN EXPLOSION PROPERTIES
------------------------------------------------------------------------------
EssenceData.ItemPropertyOnHitSpellChainExplosionLeechHealth = 
{
    EquipmentEditorVisibility = true,
    EquipmentEditorTooltip = "When your spell hits your target, there is a percent chance you will leech some life back",
    Name = "Rune of Chain Explosion: On Hit Leech Life",
    Effect = "mobilemod",
    EffectName = "Chain Explosion Restores Life On Hit",
    EffectMode = "percent",
    MobileMod = "OnHitSpellChainExplosionLeechHealth",
}

EssenceData.ItemPropertyOnHitSpellChainExplosionLeechMana = 
{
    EquipmentEditorVisibility = true,
    EquipmentEditorTooltip = "When your spell hits your target, there is a percent chance you will leech some mana back",
    Name = "Rune of Chain Explosion: On Hit Leech Mana",
    Effect = "mobilemod",
    EffectName = "Chain Explosion Restores Mana On Hit",
    EffectMode = "percent",
    MobileMod = "OnHitSpellChainExplosionLeechMana",
}

EssenceData.ItemPropertyOnHitSpellChainExplosionLeechStamina = 
{
    EquipmentEditorVisibility = true,
    EquipmentEditorTooltip = "When your spell hits your target, there is a percent chance you will leech some stamina back",
    Name = "Rune of Chain Explosion: On Hit Leech Stamina",
    Effect = "mobilemod",
    EffectName = "Chain Explosion Restores Stamina On Hit",
    EffectMode = "percent",
    MobileMod = "OnHitSpellChainExplosionLeechStamina",
}

EssenceData.ItemPropertyChainExplosionSpecialExtraExplosion = 
{
    EquipmentEditorVisibility = true,
    EquipmentEditorTooltip = "Chain Explosion explodes 2 times over its duration, this modifier allows you to add an additional explosion to the chain.",
    Name = "Rune of Chain Explosion: Extra Explosion",
    Effect = "mobilemod",
    EffectName = "Chain Explosion Chains Again",
    EffectMode = "plus",
    MobileMod = "ChainExplosionSpecialExtraExplosion",
}

EssenceData.ItemPropertyChainExplosionSpecialShortFuse = 
{
    EquipmentEditorVisibility = true,
    EquipmentEditorTooltip = "Chain Explosion pulses happen at a rate of every two seconds. This modifier lowers this rate by the given percent.",
    Name = "Rune of Chain Explosion: Short Fuse",
    Effect = "mobilemod",
    EffectName = "Chain Explosion Frequency Increase",
    EffectMode = "percent",
    MobileMod = "ChainExplosionSpecialShortFuse",
}

EssenceData.ItemPropertyDamageBonusSpellChainExplosion = 
{
    EquipmentEditorVisibility = true,
    EquipmentEditorTooltip = "This effect increases the base damage of your chain explosion per chain",
    Name = "Rune of Chain Explosion: Extra Damage",
    Effect = "mobilemod",
    EffectName = "Chain Explosion Damage",
    EffectMode = "plus",
    MobileMod = "DamageBonusSpellChainExplosion",
}

------------------------------------------------------------------------------
-- FLAME WHIRL PROPERTIES
------------------------------------------------------------------------------
EssenceData.ItemPropertyOnHitFlameWhirlExplosionLeechHealth = 
{
    EquipmentEditorVisibility = true,
    EquipmentEditorTooltip = "When your spell hits your target, there is a percent chance you will leech some life back",
    Name = "Rune of Flame Whirl: On Hit Leech Life",
    Effect = "mobilemod",
    EffectName = "Flame Whirl Restores Life On Hit",
    EffectMode = "percent",
    MobileMod = "OnHitSpellFlameWhirlLeechHealth",
}

EssenceData.ItemPropertyDamageBonusSpellFlameWhirl = 
{
    EquipmentEditorVisibility = true,
    EquipmentEditorTooltip = "This effect means you get plus this values damage added on top your flame whirl damage... [FFFF00]Very Powerful!![-]",
    Name = "Rune of Flame Whirl: Extra Damage",
    Effect = "mobilemod",
    EffectName = "Flame Whirl Damage",
    EffectMode = "plus",
    MobileMod = "DamageBonusSpellFlameWhirl",
}

EssenceData.ItemPropertyOnHitSpellFlameWhirlLeechMana = 
{
    EquipmentEditorVisibility = true,
    EquipmentEditorTooltip = "When your spell hits your target, there is a percent chance you will leech some mana back",
    Name = "Rune of Flame Whirl: On Hit Leech Mana",
    Effect = "mobilemod",
    EffectName = "Flame Whirl Restores Mana On Hit",
    EffectMode = "percent",
    MobileMod = "OnHitSpellFlameWhirlLeechMana",
}

EssenceData.ItemPropertyOnHitSpellFlameWhirlLeechStamina = 
{
    EquipmentEditorVisibility = true,
    EquipmentEditorTooltip = "When your spell hits your target, there is a percent chance you will leech some stamina back",
    Name = "Rune of Flame Whirl: On Hit Leech Stamina",
    Effect = "mobilemod",
    EffectName = "Flame Whirl Restores Stamina On Hit",
    EffectMode = "percent",
    MobileMod = "OnHitSpellFlameWhirlLeechStamina",
}

------------------------------------------------------------------------------
-- METEOR PROPERTIES
------------------------------------------------------------------------------
EssenceData.ItemPropertyMeteorSpecialExtraImpact = 
{
    EquipmentEditorVisibility = true,
    EquipmentEditorTooltip = "This effect allows your meteor to have an additional meteor drop at the same location",
    Name = "Rune of Meteor: Extra Impact",
    Effect = "mobilemod",
    EffectName = "Meteor Impacts Twice",
    EffectMode = "percent",
    MobileMod = "MeteorSpecialExtraImpact",
}

EssenceData.ItemPropertyMeteorSpecialStunOnImpact = 
{
    EquipmentEditorVisibility = true,
    EquipmentEditorTooltip = "This effect causes your meteor to stun all non players for 4 seconds and players for 1 second",
    Name = "Rune of Meteor: Stun On Impact",
    Effect = "mobilemod",
    EffectName = "Meteor Stuns On Impact",
    EffectMode = "percent",
    MobileMod = "MeteorSpecialStunOnImpact",
}

------------------------------------------------------------------------------
-- INNER FIRE PROPERTIES
------------------------------------------------------------------------------
EssenceData.ItemPropertyInnerFireSpecialRestoreStamina = 
{
    EquipmentEditorVisibility = true,
    EquipmentEditorTooltip = "This effect causes your inner fire to restore stamina instead of mana",
    Name = "Rune of Inner Fire: Restores Stamina",
    Effect = "mobilemod",
    EffectName = "Inner Fire Restores Stamina",
    EffectMode = "percent",
    MobileMod = "InnerFireSpecialRestoreStamina",
}