EquipmentStats = {
	BaseWeaponClass = {
		Fist = {
			Accuracy = 30,
			Critical = 0,
			Speed = 2.5,
			WeaponSkill = "BrawlingSkill",
			WeaponDamageType = "Bashing",
			WeaponHitType = "Melee",
		},

		Dagger = {
			DisplayName = "Piercing Weapon",

			Accuracy = 0,
			Critical = 0,
			WeaponSkill = "PiercingSkill",
			WeaponDamageType = "Piercing",
			WeaponHitType = "Melee",
		},

		Sword = {
			DisplayName = "Slashing Weapon",

			Accuracy = 0,
			Critical = 0,
			WeaponSkill = "SlashingSkill",
			WeaponDamageType = "Slashing",
			WeaponHitType = "Melee",
		},

		Sword2H = {
			DisplayName = "Slashing Weapon",

			Accuracy = 30,
			Critical = 0,
			WeaponSkill = "SlashingSkill",
			WeaponDamageType = "Slashing",
			WeaponHitType = "Melee",
			TwoHandedWeapon = true,
		},

		Blunt = {
			DisplayName = "Bashing Weapon",

			Accuracy = 0,
			Critical = 0,
			WeaponSkill = "BashingSkill",
			WeaponDamageType = "Bashing",
			WeaponHitType = "Melee",
		},

		Blunt2H = {
			DisplayName = "Bashing Weapon",

			Accuracy = 30,
			Critical = 0,
			WeaponSkill = "BashingSkill",
			WeaponDamageType = "Bashing",
			WeaponHitType = "Melee",
			TwoHandedWeapon = true,
		},

		PoleArm = {
			DisplayName = "Lancing Weapon",

			Accuracy = 30,
			Critical = 0,
			WeaponSkill = "LancingSkill",
			WeaponDamageType = "Piercing",
			WeaponHitType = "Melee",
			TwoHandedWeapon = true,
		},

		Bow = {
			DisplayName = "Ranged Weapon",

			Accuracy = 30,
			Critical = 0,
			WeaponSkill = "ArcherySkill",
			WeaponDamageType = "Bow",
			WeaponHitType = "Ranged",
			TwoHandedWeapon = true,
			Range = 14,
		},

		Stave = {
			DisplayName = "Bashing Weapon",

			Accuracy = 0,
			Critical = 40,
			WeaponSkill = "BashingSkill",
			WeaponDamageType = "Bashing",
			WeaponHitType = "Melee",
			TwoHandedWeapon = true,
		},
		
		Tool = {
			DisplayName = "Tool",

			Accuracy = 0,
			Critical = 0,
			WeaponSkill = "BashingSkill",
			WeaponDamageType = "Bashing",
			WeaponHitType = "Melee",
		},

		Crook = {
			DisplayName = "Crook",

			Accuracy = 0,
			Critical = 0,
			WeaponSkill = "AnimalTamingSkill",
			WeaponSkillGainsDisabled = true,
			WeaponDamageType = "Bashing",
			WeaponHitType = "Melee",
		},

		Instrument = {
			DisplayName = "Instrument",

			Accuracy = 0,
			Critical = 0,
			WeaponSkill = "MusicianshipSkill",
			WeaponSkillGainsDisabled = true,
			WeaponDamageType = "Bashing",
			WeaponHitType = "Melee",
		},

		Magic = {
			DisplayName = "Magic Weapon",

			Accuracy = 0,
			Critical = 0,

			WeaponSkill = "MagerySkill",
			WeaponSkillGainsDisabled = true,
			WeaponDamageType = "Bashing",
			WeaponHitType = "Melee",
		},

		NoCombat = {
			-- To prevent exceptions since NoCombat was added late
			Accuracy = 0,
			Critical = 0,
			WeaponHitType = "Melee",
		}
	},

	-- DAB COMBAT CHANGES IMPLEMENT MIN SKILL FOR WEAPONS
	BaseWeaponStats = {
		BareHand = {
			WeaponClass = "Fist",
			Attack = 1,
			MinSkill = 0,
			Speed = 2.5,
			Variance = 0.05,
			PrimaryAbility = "Overpower",
			SecondaryAbility = "StunPunch",
			SFXDir = "hand",
			delaySeconds = 0.15,
		},
		-- Dagger = {
		-- 	WeaponClass = "Dagger",
		-- 	Attack = 12,
		-- 	Variance = 0.02,
		-- 	MinSkill = 0,
		-- 	Speed = 2.5,
		-- 	PrimaryAbility = "Overpower",
		-- 	SecondaryAbility = "Bleed",
		-- 	SFXDir = "dagger",
		-- 	delaySeconds = 0.25,
		-- },
		-- Kryss = {
		-- 	WeaponClass = "Dagger",
		-- 	Variance = 0.02,
		-- 	Attack = 11,
		-- 	Speed = 2,
		-- 	MinSkill = 0,
		-- 	PrimaryAbility = "Stab",
		-- 	SecondaryAbility = "Bleed",
		-- 	SFXDir = "dagger",
		-- 	delaySeconds = 0.25,
		-- },
		-- Poniard = {
		-- 	WeaponClass = "Dagger",
		-- 	Variance = 0.02,
		-- 	Attack = 14,
		-- 	Speed = 2.75,
		-- 	MinSkill = 0,
		-- 	PrimaryAbility = "Stab",
		-- 	SecondaryAbility = "MortalStrike",
		-- 	SFXDir = "dagger",
		-- 	delaySeconds = 0.25,
		-- },
		-- BoneDagger = {
		-- 	WeaponClass = "Dagger",
		-- 	Variance = 0.02,
		-- 	Attack = 12,
		-- 	Speed = 2.25,
		-- 	MinSkill = 0,
		-- 	PrimaryAbility = "Overpower",
		-- 	SecondaryAbility = "MortalStrike",
		-- 	SFXDir = "dagger",
		-- 	delaySeconds = 0.25,
		-- },
		-- Mace = {
		-- 	WeaponClass = "Blunt",
		-- 	Variance = 0.05,
		-- 	Attack = 13,
		-- 	MinSkill = 0,
		-- 	Speed = 2.75,
		-- 	PrimaryAbility = "Overpower",
		-- 	SecondaryAbility = "Sunder",
		-- 	SFXDir = "warhammer",
		-- 	delaySeconds = 0.25,
		-- },
		-- Hammer = {
		-- 	WeaponClass = "Blunt",
		-- 	Variance = 0.05,
		-- 	Attack = 16,
		-- 	MinSkill = 0,
		-- 	Speed = 3,
		-- 	PrimaryAbility = "Overpower",
		-- 	SecondaryAbility = "Sunder",
		-- 	SFXDir = "hammer",
		-- 	delaySeconds = 0.25,
		-- },
		-- Maul = {
		-- 	WeaponClass = "Blunt",
		-- 	Variance = 0.05,
		-- 	Attack = 16,
		-- 	MinSkill = 0,
		-- 	Speed = 3.25,
		-- 	PrimaryAbility = "Overpower",
		-- 	SecondaryAbility = "Stun",
		-- 	SFXDir = "warhammer",
		-- 	delaySeconds = 0.25,
		-- },
		-- WarMace = {
		-- 	WeaponClass = "Blunt",
		-- 	Variance = 0.05,
		-- 	Attack = 18,
		-- 	MinSkill = 0,
		-- 	Speed = 3.5,
		-- 	PrimaryAbility = "Overpower",
		-- 	SecondaryAbility = "FollowThrough",
		-- 	SFXDir = "warhammer",
		-- 	delaySeconds = 0.25,
		-- },
		Quarterstaff = {
			WeaponClass = "Blunt2H",
			Variance = 0.20,
			Attack = 11,
			MinSkill = 0,
			Speed = 2.25,
			PrimaryAbility = "Overpower",
			SecondaryAbility = "FollowThrough",
			TwoHandedWeapon = true,
			SFXDir = "staff",
			delaySeconds = 0.15,
		},
		-- Warhammer = {
		-- 	WeaponClass = "Blunt2H",
		-- 	Variance = 0.20,
		-- 	Attack = 23,
		-- 	MinSkill = 0,
		-- 	Speed = 4,
		-- 	PrimaryAbility = "Overpower",
		-- 	SecondaryAbility = "FollowThrough",
		-- 	TwoHandedWeapon = true,
		-- 	SFXDir = "warhammer",
		-- 	delaySeconds = 0.25,
		-- },
		-- Warfork = {
		-- 	WeaponClass = "PoleArm",
		-- 	Variance = 0.10,
		-- 	Attack = 19,
		-- 	MinSkill = 0,
		-- 	Speed = 3.5,
		-- 	PrimaryAbility = "Overpower",
		-- 	SecondaryAbility = "Bleed",
		-- 	TwoHandedWeapon = true,
		-- 	SFXDir = "dagger",
		-- 	delaySeconds = 0.15,
		-- },
		Voulge = {
			WeaponClass = "PoleArm",
			Variance = 0.10,
			Attack = 17,
			MinSkill = 0,
			Speed = 3.25,
			PrimaryAbility = "Overpower",
			SecondaryAbility = "Cleave",
			TwoHandedWeapon = true,
			SFXDir = "dagger",
			delaySeconds = 0.15,
		},
		-- Spear = {
		-- 	WeaponClass = "PoleArm",
		-- 	Variance = 0.10,
		-- 	Attack = 16,
		-- 	MinSkill = 0,
		-- 	Speed = 3,
		-- 	PrimaryAbility = "Stab",
		-- 	SecondaryAbility = "MortalStrike",
		-- 	TwoHandedWeapon = true,
		-- 	SFXDir = "dagger",
		-- 	delaySeconds = 0.15,
		-- },
		-- Halberd = {
		-- 	WeaponClass = "PoleArm",
		-- 	Variance = 0.10,
		-- 	Attack = 23,
		-- 	MinSkill = 0,
		-- 	Speed = 4,
		-- 	PrimaryAbility = "Overpower",
		-- 	SecondaryAbility = "Concus",
		-- 	TwoHandedWeapon = true,
		-- 	SFXDir = "dagger",
		-- 	delaySeconds = 0.15,
		-- },
		Scythe = {
			WeaponClass = "PoleArm",
			Variance = 0.10,
			Attack = 23,
			MinSkill = 0,
			Speed = 4,
			PrimaryAbility = "Cleave",
			SecondaryAbility = "Bleed",
			TwoHandedWeapon = true,
			SFXDir = "sword",
			delaySeconds = 0.25,
		},
		-- Shortbow = {
		-- 	WeaponClass = "Bow",
		-- 	Variance = 0.20,
		-- 	Attack = 12,
		-- 	MinSkill = 0,
		-- 	Speed = 2,
		-- 	PrimaryAbility = "FireArrowShort",
		-- 	SecondaryAbility = "Stab",
		-- 	TwoHandedWeapon = true,
		-- 	SFXDir = "bow",
		-- 	delaySeconds = 0.1,
		-- },
		-- Longbow = {
		-- 	WeaponClass = "Bow",
		-- 	Variance = 0.20,
		-- 	Attack = 17,
		-- 	MinSkill = 0,
		-- 	Speed = 3,
		-- 	PrimaryAbility = "FireArrowLong",
		-- 	SecondaryAbility = "MortalStrike",			
		-- 	TwoHandedWeapon = true,
		-- 	SFXDir = "bow",
		-- 	delaySeconds = 0.1,
		-- },
		-- Warbow = {
		-- 	WeaponClass = "Bow",
		-- 	Variance = 0.20,
		-- 	Attack = 24,
		-- 	MinSkill = 0,
		-- 	Speed = 4,
		-- 	PrimaryAbility = "FireArrowWar",
		-- 	SecondaryAbility = "Overpower",
		-- 	TwoHandedWeapon = true,
		-- 	SFXDir = "bow",
		-- 	delaySeconds = 0.1,
		-- },
		SavageBow = {
			WeaponClass = "Bow",
			Variance = 0.20,
			Attack = 24,
			MinSkill = 0,
			Speed = 4,
			PrimaryAbility = "FireArrowWar",
			SecondaryAbility = "Bleed",
			TwoHandedWeapon = true,
			SFXDir = "bow",
			delaySeconds = 0.1,
		},
		BoneBow = {
			WeaponClass = "Bow",
			Variance = 0.20,
			Attack = 24,
			MinSkill = 0,
			Speed = 4,
			PrimaryAbility = "FireArrowWar",
			SecondaryAbility = "Overpower",
			TwoHandedWeapon = true,
			SFXDir = "bow",
			delaySeconds = 0.1,
		},
		
		-- Longsword = {
		-- 	WeaponClass = "Sword",
		-- 	Variance = 0.05,
		-- 	Attack = 13,
		-- 	MinSkill = 0,
		-- 	Speed = 2.75,
		-- 	PrimaryAbility = "Overpower",
		-- 	SecondaryAbility = "Cleave",
		-- 	SFXDir = "sword",
		-- 	delaySeconds = 0.3,
		-- },
		-- Broadsword = {
		-- 	WeaponClass = "Sword",
		-- 	Variance = 0.05,
		-- 	Attack = 18,
		-- 	MinSkill = 0,
		-- 	Speed = 3.5,
		-- 	PrimaryAbility = "Overpower",
		-- 	SecondaryAbility = "Concus",
		-- 	SFXDir = "sword",
		-- 	delaySeconds = 0.3,
		-- },
		-- Saber = {
		-- 	WeaponClass = "Sword",
		-- 	Variance = 0.05,
		-- 	Attack = 17,
		-- 	MinSkill = 0,
		-- 	Speed = 3.25,
		-- 	PrimaryAbility = "Stab",
		-- 	SecondaryAbility = "MortalStrike",
		-- 	SFXDir = "sword",
		-- 	delaySeconds = 0.3,
		-- },
		-- Katana = {
		-- 	WeaponClass = "Sword",
		-- 	Variance = 0.05,
		-- 	Attack = 12,
		-- 	MinSkill = 0,
		-- 	Speed = 2.5,
		-- 	PrimaryAbility = "Overpower",
		-- 	SecondaryAbility = "Bleed",
		-- 	SFXDir = "sword",
		-- 	delaySeconds = 0.3,
		-- },
		BattleAxe = {
			WeaponClass = "Sword",
			Variance = 0.20,
			Attack = 12,
			MinSkill = 0,
			Speed = 2.5,
			PrimaryAbility = "Overpower",
			SecondaryAbility = "Bleed",
			SFXDir = "axe_small",
			delaySeconds = 0.3,
		},

		-- LargeAxe = {
		-- 	WeaponClass = "Sword2H",
		-- 	Variance = 0.20,
		-- 	Attack = 19,
		-- 	MinSkill = 0,
		-- 	Speed = 3.5,
		-- 	PrimaryAbility = "Overpower",
		-- 	SecondaryAbility = "Bleed",
		-- 	TwoHandedWeapon = true,
		-- 	SFXDir = "axe_large",
		-- 	delaySeconds = 0.3,
		-- },
		-- GreatAxe = {
		-- 	WeaponClass = "Sword2H",
		-- 	Variance = 0.20,
		-- 	Attack = 23,
		-- 	MinSkill = 0,
		-- 	Speed = 4,
		-- 	PrimaryAbility = "Overpower",
		-- 	SecondaryAbility = "MortalStrike",
		-- 	TwoHandedWeapon = true,
		-- 	SFXDir = "axe_large",
		-- 	delaySeconds = 0.3,
		-- },

		Hatchet = {
			WeaponClass = "Sword2H",
			Attack = 16,
			MinSkill = 0,
			PrimaryAbility = "Lumberjack",
			TwoHandedWeapon = true,
			Speed = 3,
			SFXDir = "axe_small",
			delaySeconds = 0.3,
		},
		MiningPick = {
			WeaponClass = "Blunt",
			Attack = 16,
			MinSkill = 0,
			PrimaryAbility = "Mine",
			TwoHandedWeapon = true,
			Speed = 3,
			SFXDir = "sword",
			delaySeconds = 0.3,
		},
		FishingRod = {
			WeaponClass = "Tool",
			Attack = 3,
			MinSkill = 0,
			PrimaryAbility = "Fish",
			TwoHandedWeapon = true,
			Speed = 3,
			SFXDir = "staff",
			delaySeconds = 0.3,
		},
		HuntingKnife = {
			WeaponClass = "Dagger",
			Attack = 16,
			MinSkill = 0,
			PrimaryAbility = "HuntingKnife",
			Speed = 3,
			SFXDir = "dagger",
			delaySeconds = 0.3,
		},
		Crook = {
			WeaponClass = "Crook",
			Attack = 3,
			MinSkill = 0,
			PrimaryAbility = "Tame",
			Speed = 3,
			SFXDir = "warhammer",
			delaySeconds = 0.3,
		},
		Shovel = {
			WeaponClass = "Tool",
			Attack = 3,
			MinSkill = 0,
			PrimaryAbility = "Dig",
			Speed = 3,
			SFXDir = "staff",
			delaySeconds = 0.3,
		},

		MagicStaff = {
			WeaponClass = "Magic",
			Variance = 0.20,
			Attack = 11,
			MinSkill = 0,
			Speed = 2.25,
			TwoHandedWeapon = true,
			SFXDir = "staff",
			delaySeconds = 0.15,
		},
		MagicWand = {
			WeaponClass = "Magic",
			Variance = 0.05,
			Attack = 13,
			MinSkill = 0,
			Speed = 2.75,
			SFXDir = "staff",
			delaySeconds = 0.25,
		},
		Spellbook = {
			WeaponClass = "Magic",
			Attack = 1,
			Speed = 3,
			MinSkill = 0,
			SFXDir = "staff",
			delaySeconds = 0.3,
		},
		
		SorcererWand = {
			WeaponClass = "Magic",
			Attack = 1,
			MinSkill = 0,
			PrimaryAbility = "ConsumeWisp",
			Speed = 3,
			SFXDir = "staff",
			delaySeconds = 0.3,
		},


		Lute = {
			WeaponClass = "Instrument",
			Attack = 3,
			MinSkill = 0,
			PrimaryAbility = "Play",
			SecondaryAbility = "Solo",
			TwoHandedWeapon = true,
			Speed = 3,
			ParameterName = "lute",
			SFXDir = "staff",
			delaySeconds = 0.3,
		},

		Drum = {
			WeaponClass = "Instrument",
			Attack = 3,
			MinSkill = 0,
			PrimaryAbility = "Play",
			SecondaryAbility = "Solo",
			TwoHandedWeapon = true,
			Speed = 3,
			ParameterName = "drum",
			SFXDir = "staff",
			delaySeconds = 0.3,
		},

		Flute = {
			WeaponClass = "Instrument",
			Attack = 3,
			MinSkill = 0,
			PrimaryAbility = "Play",
			SecondaryAbility = "Solo",
			TwoHandedWeapon = true,
			Speed = 3,
			ParameterName = "flute",
			SFXDir = "staff",
			delaySeconds = 0.3,
		},

		Torch = {
			WeaponClass = "NoCombat",
			NoCombat = true,
			Attack = 0, -- to prevent exceptions (should not check these if weaponclass is NoCombat)
			MinSkill = 0, -- to prevent exceptions
			Speed = 0, -- to prevent exceptions
			SFXDir = "staff",
			delaySeconds = 0.3,
		}
	},

	BaseArmorClass = {
		Cloth = {
			Head = {
				StaRegenModifier = 0,
				ManaRegenModifier = 1,
			},
			Chest = {
				StaRegenModifier = 0,
				ManaRegenModifier = 1,
			},
			Legs = {
				StaRegenModifier = 0,
				ManaRegenModifier = 1,
			},
		},

		Light = {
			Head = {
				StaRegenModifier = 0,
				ManaRegenModifier = 0.5,
			},
			Chest = {
				StaRegenModifier = 0,
				ManaRegenModifier = 0.5,
			},
			Legs = {
				StaRegenModifier = 0,
				ManaRegenModifier = 0.5,
			},
		},

		Heavy = {
			Head = {
				AgiBonus = -3,
				StaRegenModifier = 0,
				ManaRegenModifier = 0.1,
			},
			Chest = {
				AgiBonus = -3,
				StaRegenModifier = 0,
				ManaRegenModifier = 0.1,
			},
			Legs = {
				AgiBonus = -3,
				StaRegenModifier = 0,
				ManaRegenModifier = 0.1,
			},
		},
	},

	BaseArmorStats = {
		Natural = { --naked
			ArmorClass = "Cloth",
			Head = {
				ArmorRating = 10,
			},
			Chest = {
				ArmorRating = 12,
			},
			Legs = {
				ArmorRating = 13,
			}
		},

		VeryLight = { --naked
			ArmorClass = "Cloth",
			Head = {
				ArmorRating = 10,
			},
			Chest = {
				ArmorRating = 12,
			},
			Legs = {
				ArmorRating = 13,
			}
		},

		Clothing = { 
			ArmorClass = "Cloth",
			Head = {
				ArmorRating = 12,
			},
			Chest = {
				ArmorRating = 16,
			},
			Legs = {
				ArmorRating = 17,
			}
		},

		-- Padded = {
		-- 	ArmorClass = "Cloth",
		-- 	SoundType = "leather",
		-- 	Head = {
		-- 		ArmorRating = 13,
		-- 	},
		-- 	Chest = {
		-- 		ArmorRating = 18,
		-- 	},
		-- 	Legs = {
		-- 		ArmorRating = 18,
		-- 	}
		-- },
		-- Linen = {
		-- 	ArmorClass = "Cloth",
		-- 	SoundType = "leather",
		-- 	Head = {
		-- 		ArmorRating = 13,
		-- 	},
		-- 	Chest = {
		-- 		ArmorRating = 18,
		-- 	},
		-- 	Legs = {
		-- 		ArmorRating = 18,
		-- 	}
		-- },
		-- MageRobe = {
		-- 	ArmorClass = "Cloth",
		-- 	SoundType = "leather",
		-- 	Head = {
		-- 		ArmorRating = 13,
		-- 	},
		-- 	Chest = {
		-- 		ArmorRating = 18,
		-- 	},
		-- 	Legs = {
		-- 		ArmorRating = 18,
		-- 	}
		-- },

		-- Leather = {
		-- 	ArmorClass = "Light",
		-- 	SoundType = "leather",
		-- 	Head = {
		-- 		ArmorRating = 15,
		-- 	},
		-- 	Chest = {
		-- 		ArmorRating = 21,
		-- 	},
		-- 	Legs = {
		-- 		ArmorRating = 21,
		-- 	}
		-- },

		Bone = {
			ArmorClass = "Light",
			SoundType = "leather",
			Head = {
				ArmorRating = 15,
			},
			Chest = {
				ArmorRating = 21,
			},
			Legs = {
				ArmorRating = 21,
			}
		},

		-- Hardened = {
		-- 	ArmorClass = "Light",
		-- 	SoundType = "leather",
		-- 	Head = {
		-- 		ArmorRating = 15,
		-- 	},
		-- 	Chest = {
		-- 		ArmorRating = 21,
		-- 	},
		-- 	Legs = {
		-- 		ArmorRating = 21,
		-- 	}
		-- },

		Assassin = {
			ArmorClass = "Light",
			SoundType = "leather",
			Head = {
				ArmorRating = 15,
			},
			Chest = {
				ArmorRating = 21,
			},
			Legs = {
				ArmorRating = 21,
			}
		},

		Brigandine = {
			ArmorClass = "Heavy",
			SoundType = "chainmail",			
			Head = {
				AgiBonus = -1,
				ArmorRating = 17,
			},
			Chest = {
				AgiBonus = -1,
				ArmorRating = 24,
			},
			Legs = {
				AgiBonus = -1,
				ArmorRating = 24,
			}
		},

		-- Chain = {
		-- 	ArmorClass = "Heavy",
		-- 	SoundType = "chainmail",
		-- 	AgiBonus = -1,
		-- 	Head = {
		-- 		AgiBonus = -1,
		-- 		ArmorRating = 16,
		-- 	},
		-- 	Chest = {
		-- 		AgiBonus = -1,
		-- 		ArmorRating = 22,
		-- 	},
		-- 	Legs = {
		-- 		AgiBonus = -1,
		-- 		ArmorRating = 22,
		-- 	}
		-- },

		Scale = {
			ArmorClass = "Heavy",
			SoundType = "plate",
			Head = {
				AgiBonus = -2,
				ArmorRating = 17,
			},
			Chest = {
				AgiBonus = -2,
				ArmorRating = 23,
			},
			Legs = {
				AgiBonus = -2,
				ArmorRating = 23,
			}
		},
		Plate = {
			ArmorClass = "Heavy",
			SoundType = "plate",
			Head = {
				AgiBonus = -3,
				ArmorRating = 17,
			},
			Chest = {
				AgiBonus = -3,
				ArmorRating = 24,
			},
			Legs = {
				AgiBonus = -3,
				ArmorRating = 24,
			}
		},
		-- FullPlate = {
		-- 	ArmorClass = "Heavy",
		-- 	SoundType = "plate",
		-- 	Head = {
		-- 		AgiBonus = -3,
		-- 		ArmorRating = 17,
		-- 	},
		-- 	Chest = {
		-- 		AgiBonus = -3,
		-- 		ArmorRating = 24,
		-- 	},
		-- 	Legs = {
		-- 		AgiBonus = -3,
		-- 		ArmorRating = 24,
		-- 	}
		-- },
	},

	BaseShieldStats = {
		Buckler = {
			BaseBlockChance = 0,
			ArmorRating = 35,
			MinSkill = 0,
		},

		SmallShield = {
			BaseBlockChance = 0,
			ArmorRating = 35,
			MinSkill = 0,
		},

		BoneShield = {
			BaseBlockChance = 0,
			ArmorRating = 35,
			MinSkill = 0,
		},
		CurvedShield = {
			BaseBlockChance = 0,
			ArmorRating = 35,
			MinSkill = 0,
		},
		MarauderShield = {
			BaseBlockChance = 0,
			ArmorRating = 35,
			MinSkill = 0,
		},
		LargeShield = {
			BaseBlockChance = 0,
			ArmorRating = 35,
			MinSkill = 0,
		},
		DwarvenShield = {
			BaseBlockChance = 0,
			ArmorRating = 35,
			MinSkill = 0,
		},
		HeaterShield = {
			BaseBlockChance = 0,
			ArmorRating = 35,
			MinSkill = 0,
		},
		Silence = {
			BaseBlockChance = 0,
			ArmorRating = 35,
			MinSkill = 0,
		},
		DragonGuard = {
			BaseBlockChance = 0,
			ArmorRating = 35,
			MinSkill = 0,
		},
		Temper = {
			BaseBlockChance = 0,
			ArmorRating = 35,
			MinSkill = 0,
		},
		Guardian = {
			BaseBlockChance = 0,
			ArmorRating = 35,
			MinSkill = 0,
		},
		KiteShield = {
			BaseBlockChance = 0,
			ArmorRating = 35,
			MinSkill = 0,
		},
	}
}


-- load up the weaponstats main
require 'equipmentstats.main'





ArrowTypes ={
	"Arrows",
	"FeatheredArrows",
	"AshArrows",
	"BlightwoodArrows",
}

ArrowTypesNames ={
	Arrows = "Arrows",
	FeatheredArrows = "Feathered Arrows",
	AshArrows = "Ash Arrows",
	BlightwoodArrows = "Blightwood Arrows",
}

ArrowTypeData = {
	Arrows = {
		DamageBonus = 0,
		Name = "Arrows",
	},
	FeatheredArrows = {
		DamageBonus = 1,
		Name = "Feathered Arrows",
	},
	AshArrows = {
		DamageBonus = 3,
		Name = "Ash Arrows",
	},
	BlightwoodArrows = {
		DamageBonus = 5,
		Name = "Blightwood Arrows",
	},
}

JewelryTypes = {
	"RubyFlawed",
	"RubyImperfect",
	"RubyPerfect",
	"SapphireFlawed",
	"SapphireImperfect",
	"SapphirePerfect",
	"TopazFlawed",
	"TopazImperfect",
	"TopazPerfect",
}

JewelryTypeData = {
	RubyFlawed = {
		Con = 1,
		Health = 10,
	},
	RubyImperfect = {
		Con = 3,
		Health = 30,
	},
	RubyPerfect = {
		Con = 5,
		Health = 50,
	},
	SapphireFlawed = {
		Wis = 1,
	},
	SapphireImperfect = {
		Wis = 3,
	},
	SapphirePerfect = {
		Wis = 5,
	},
	TopazFlawed = {
		Will = 1,
	},
	TopazImperfect = {
		Will = 3,
	},
	TopazPerfect = {
		Will = 5,
	},
}