TemplateDefines.LootTable.SlashingWeaponRecipes = 
{
	NumItems = 1,	
	LootItems = 
	{ 
		{ Chance = LootChanceRules.Recipe, Template = "recipe_longsword", Unique = true},
		{ Chance = LootChanceRules.Recipe, Template = "recipe_broadsword", Unique = true},
		{ Chance = LootChanceRules.Recipe, Template = "recipe_saber", Unique = true},
		{ Chance = LootChanceRules.Recipe, Template = "recipe_katana", Unique = true},
		{ Chance = LootChanceRules.Recipe, Template = "recipe_largeaxe", Unique = true},
		{ Chance = LootChanceRules.Recipe, Template = "recipe_greataxe", Unique = true},
	},
}

TemplateDefines.LootTable.BashingWeaponRecipes = 
{
	NumItems = 1,	
	LootItems = 
	{ 
		{ Chance = LootChanceRules.Recipe, Template = "recipe_mace", Unique = true},
		{ Chance = LootChanceRules.Recipe, Template = "recipe_maul", Unique = true},
		{ Chance = LootChanceRules.Recipe, Template = "recipe_hammer", Unique = true},
		{ Chance = LootChanceRules.Recipe, Template = "recipe_warhammer", Unique = true},
		{ Chance = LootChanceRules.Recipe, Template = "recipe_greataxe", Unique = true},
	},
}

TemplateDefines.LootTable.PiercingWeaponRecipes = 
{
	NumItems = 1,	
	LootItems = 
	{ 
		{ Chance = LootChanceRules.Recipe, Template = "recipe_dagger", Unique = true},
		{ Chance = LootChanceRules.Recipe, Template = "recipe_kryss", Unique = true},
		{ Chance = LootChanceRules.Recipe, Template = "recipe_poinard", Unique = true},
		{ Chance = LootChanceRules.Recipe, Template = "recipe_bonedagger", Unique = true},
	},
}

TemplateDefines.LootTable.LancingWeaponRecipes = 
{
	NumItems = 1,	
	LootItems = 
	{ 
		{ Chance = LootChanceRules.Recipe, Template = "recipe_warfork", Unique = true},
		{ Chance = LootChanceRules.Recipe, Template = "recipe_spear", Unique = true},
		{ Chance = LootChanceRules.Recipe, Template = "recipe_halberd", Unique = true},
	},
}

TemplateDefines.LootTable.ArcheryWeaponRecipes = 
{
	NumItems = 1,	
	LootItems = 
	{ 
		{ Chance = LootChanceRules.Recipe, Template = "recipe_arrows", Unique = true},
		{ Chance = LootChanceRules.Recipe, Template = "recipe_longbow", Unique = true},
		{ Chance = LootChanceRules.Recipe, Template = "recipe_warbow", Unique = true},
	},
}

TemplateDefines.LootTable.ClothArmorRecipes = 
{
	NumItems = 1,	
	LootItems = 
	{ 
		{ Chance = LootChanceRules.Recipe, Template = "recipe_linenhelm", Unique = true},
		{ Chance = LootChanceRules.Recipe, Template = "recipe_linenlegs", Unique = true},
		{ Chance = LootChanceRules.Recipe, Template = "recipe_linenchest", Unique = true},
		{ Chance = LootChanceRules.Recipe, Template = "recipe_padded_helm", Unique = true},
		{ Chance = LootChanceRules.Recipe, Template = "recipe_padded_legs", Unique = true},
		{ Chance = LootChanceRules.Recipe, Template = "recipe_padded_chest", Unique = true},
		{ Chance = LootChanceRules.Recipe, Template = "recipe_wizards_hat", Unique = true},
		{ Chance = LootChanceRules.Recipe, Template = "recipe_wizards_robe", Unique = true},
	},
}

TemplateDefines.LootTable.LeatherArmorRecipes = 
{
	NumItems = 1,	
	LootItems = 
	{ 
		{ Chance = LootChanceRules.Recipe, Template = "recipe_leatherhelm", Unique = true},
		{ Chance = LootChanceRules.Recipe, Template = "recipe_leatherlegs", Unique = true},
		{ Chance = LootChanceRules.Recipe, Template = "recipe_leatherchest", Unique = true},
		{ Chance = LootChanceRules.Recipe, Template = "recipe_hardenedhelm", Unique = true},
		{ Chance = LootChanceRules.Recipe, Template = "recipe_hardenedlegs", Unique = true},
		{ Chance = LootChanceRules.Recipe, Template = "recipe_hardenedchest", Unique = true},
		{ Chance = LootChanceRules.Recipe, Template = "recipe_pouch", Unique = true},		
	},
}

TemplateDefines.LootTable.MetalArmorRecipes = 
{
	NumItems = 1,	
	LootItems = 
	{ 
		{ Chance = LootChanceRules.Recipe, Template = "recipe_chain_helm", Unique = true},
		{ Chance = LootChanceRules.Recipe, Template = "recipe_chain_leggings", Unique = true},
		{ Chance = LootChanceRules.Recipe, Template = "recipe_chain_tunic", Unique = true},
		{ Chance = LootChanceRules.Recipe, Template = "recipe_fullplatehelm", Unique = true},
		{ Chance = LootChanceRules.Recipe, Template = "recipe_fullplatelegs", Unique = true},
		{ Chance = LootChanceRules.Recipe, Template = "recipe_fullplatetunic", Unique = true},
	},
}