TemplateDefines.LootTable.ArrowsLow = 
{
	NumItems = 1,	
	LootItems = 
	{ 
		{ Chance = LootChanceRules.Common, Template = "arrow", Unique = true, StackCountMin = 4, StackCountMax = 12,},
	},
}
TemplateDefines.LootTable.ArrowsMed = 
{
	NumItems = 1,	
	LootItems = 
	{ 
		{ Chance = LootChanceRules.Common, Template = "arrow", Unique = true, StackCountMin = 8, StackCountMax = 18,},
	},
}
TemplateDefines.LootTable.ArrowsHigh = 
{
	NumItems = 1,	
	LootItems = 
	{ 
		{ Chance = LootChanceRules.Common, Template = "arrow", Unique = true, StackCountMin = 12, StackCountMax = 28,},
	},
}
TemplateDefines.LootTable.BloodLow = 
{
	NumItems = 1,		
	LootItems = 
	{ 
		{ Chance = LootChanceRules.Common, Template = "resource_blood", Unique = true, StackCountMin = 1, StackCountMax = 1  },
		{ Chance = LootChanceRules.Uncommon, Template = "resource_blood_beast", Unique = true, StackCountMin = 1, StackCountMax = 2  },
	},
}
TemplateDefines.LootTable.BloodMed = 
{
	NumItems = 1,		
	LootItems = 
	{ 
		{ Chance = LootChanceRules.Common, Template = "resource_blood", Unique = true, StackCountMin = 1, StackCountMax = 3  },
		{ Chance = LootChanceRules.Uncommon, Template = "resource_blood_beast", Unique = true, StackCountMin = 1, StackCountMax = 2  },
		{ Chance = LootChanceRules.Rare, Template = "resource_blood_vile", Unique = true, StackCountMin = 1, StackCountMax = 1  },
	},
}
TemplateDefines.LootTable.BloodHigh = 
{
	NumItems = 1,		
	LootItems = 
	{ 
		{ Chance = LootChanceRules.Common, Template = "resource_blood", Unique = true, StackCountMin = 1, StackCountMax = 5  },
		{ Chance = LootChanceRules.Uncommon, Template = "resource_blood_beast", Unique = true, StackCountMin = 1, StackCountMax = 4  },
		{ Chance = LootChanceRules.Uncommon, Template = "resource_blood_vile", Unique = true, StackCountMin = 1, StackCountMax = 2  },
	},
}
TemplateDefines.LootTable.BonesLow = 
{
	NumItems = 1,		
	LootItems = 
	{ 
		{ Chance = LootChanceRules.Common, Template = "resource_bone", Unique = true, StackCountMin = 1, StackCountMax = 2  },
		{ Chance = LootChanceRules.Uncommon, Template = "resource_bone_cursed", Unique = true },
	},
}
TemplateDefines.LootTable.BonesMed = 
{
	NumItems = 1,		
	LootItems = 
	{ 
		{ Chance = LootChanceRules.Common, Template = "resource_bone", Unique = true, StackCountMin = 1, StackCountMax = 3  },
		{ Chance = LootChanceRules.Uncommon, Template = "resource_bone_cursed", Unique = true, StackCountMin = 1, StackCountMax = 2  },
		{ Chance = LootChanceRules.Rare, Template = "resource_bone_ethereal", Unique = true, },
	},
}
TemplateDefines.LootTable.BonesHigh = 
{
	NumItems = 1,		
	LootItems = 
	{ 
		{ Chance = LootChanceRules.Common, Template = "resource_bone", Unique = true, StackCountMin = 1, StackCountMax = 5  },
		{ Chance = LootChanceRules.Uncommon, Template = "resource_bone_cursed", Unique = true, StackCountMin = 1, StackCountMax = 4  },
		{ Chance = LootChanceRules.Uncommon, Template = "resource_bone_ethereal", Unique = true, StackCountMin = 1, StackCountMax = 2  },
	},
}
TemplateDefines.LootTable.EyesLow = 
{
	NumItems = 1,		
	LootItems = 
	{ 
		{ Chance = LootChanceRules.Common, Template = "resource_eye_decrepid", Unique = true, StackCountMin = 1, StackCountMax = 2  },
		{ Chance = LootChanceRules.Uncommon, Template = "resource_eye_sickly", Unique = true, },
	},
}	
TemplateDefines.LootTable.EyesMed = 
{
	NumItems = 1,		
	LootItems = 
	{ 
		{ Chance = LootChanceRules.Common, Template = "resource_eye_decrepid", Unique = true, StackCountMin = 1, StackCountMax = 3  },
		{ Chance = LootChanceRules.Uncommon, Template = "resource_eye_sickly", Unique = true, StackCountMin = 1, StackCountMax = 2  },
		{ Chance = LootChanceRules.Rare, Template = "resource_eye",  Unique = true,  },
	},
}
TemplateDefines.LootTable.EyesHigh = 
{
	NumItems = 1,		
	LootItems = 
	{ 
		{ Chance = LootChanceRules.Common, Template = "resource_eye_decrepid", Unique = true, StackCountMin = 1, StackCountMax = 5  },
		{ Chance = LootChanceRules.Uncommon, Template = "resource_eye_sickly", Unique = true, StackCountMin = 1, StackCountMax = 4  },
		{ Chance = LootChanceRules.Uncommon, Template = "resource_eye", Unique = true, StackCountMin = 1, StackCountMax = 2  },
	},
}				
TemplateDefines.LootTable.ReagentsLow = 
{
	NumItems = 1,		
	LootItems = 
	{ 
		{ Chance = LootChanceRules.Common, Template = "ingredient_moss", Unique = true, StackCountMin = 1, StackCountMax = 3,},
		{ Chance = LootChanceRules.Common, Template = "ingredient_lemongrass", Unique = true, StackCountMin = 1, StackCountMax = 3,},
		{ Chance = LootChanceRules.Common, Template = "ingredient_mushroom", Unique = true, StackCountMin = 1, StackCountMax = 3,},
		{ Chance = LootChanceRules.Common, Template = "ingredient_ginsengroot", Unique = true, StackCountMin = 1, StackCountMax = 3,},
		{ Chance = LootChanceRules.Common, Template = "holy_water", Unique = true, StackCountMin = 1, StackCountMax = 2,},
	},
}
TemplateDefines.LootTable.ReagentsMed = 
{
	NumItems = 2,		
	LootItems = 
	{ 
		{ Chance = LootChanceRules.Common, Template = "ingredient_moss", Unique = true, StackCountMin = 2, StackCountMax = 6,},
		{ Chance = LootChanceRules.Common, Template = "ingredient_lemongrass", Unique = true, StackCountMin = 2, StackCountMax = 6,},
		{ Chance = LootChanceRules.Common, Template = "ingredient_mushroom", Unique = true, StackCountMin = 2, StackCountMax = 6,},
		{ Chance = LootChanceRules.Common, Template = "ingredient_ginsengroot", Unique = true, StackCountMin = 2, StackCountMax = 6,},
		{ Chance = LootChanceRules.Common, Template = "holy_water", Unique = true, StackCountMin = 2, StackCountMax = 4,},
	},
}
TemplateDefines.LootTable.ReagentsHigh = 
{
	NumItems = 3,		
	LootItems = 
	{ 
		{ Chance = LootChanceRules.Common, Template = "ingredient_moss", Unique = true, StackCountMin = 4, StackCountMax = 8,},
		{ Chance = LootChanceRules.Common, Template = "ingredient_lemongrass", Unique = true, StackCountMin = 4, StackCountMax = 8,},
		{ Chance = LootChanceRules.Common, Template = "ingredient_mushroom", Unique = true, StackCountMin = 4, StackCountMax = 8,},
		{ Chance = LootChanceRules.Common, Template = "ingredient_ginsengroot", Unique = true, StackCountMin = 4, StackCountMax = 8,},
		{ Chance = LootChanceRules.Common, Template = "holy_water", Unique = true, StackCountMin = 4, StackCountMax = 6,},
	},
}

