require 'incl_magic_sys'

function ValidateUse(user)
	if( user == nil or not(user:IsValid()) ) then
		return false
	end
	if( this:TopmostContainer() ~= user or IsInBank(this)) then
		user:SystemMessage("The scroll must be in your backpack before you can use it.","info")
		return false
	end
	return true
end

RegisterEventHandler(EventType.Message, "UseObject", 
	function(user,usedType)
		if not(ValidateUse(user)) then
			return
		end
		CreateObj("town_portal_object", user:GetLoc(), "createTownPortal", user)
	end)

RegisterEventHandler(EventType.CreatedObject, "createTownPortal", function(success,objRef,user)
    if ( success ) then
		user:SystemMessage("you open a portal to the landing")
		objRef:SetObjVar("Destination",Loc(0,0,0))
		this:Destroy()        
    end
end)

               