SpawnerProfile.RandomGhookGiant =
{
	ProfileName = "Ghook Random Giant",
	ProfileTooltip = "This setup is for the ghook just south of the landing. It has 4 giants that can spawn 1 at a time.",
	-- randomly generate from this list a creature to on respawn
	Templates = 
	{
		"ghook_slasher",
		"ghook_basher",
		"ghook_piercing",
		"ghook_lancing",
	},
	-- how often to respawn
	Frequency = SpawnDelayRules.Slow,
	-- chance in which to spawn the object from the Templates table
	SpawnChance = 1.0,
	-- how many do we spawn at this location?
	SpawnCount = 1,
	-- loot table overrides the original templates LootTable objvar
	LootTables = 
	{
		["ghook_archer"] = 
		{
			TemplateDefines.LootTable.CurrencyMed,
			TemplateDefines.LootTable.ArcheryWeapons,
			TemplateDefines.LootTable.ArrowsLow,
			TemplateDefines.LootTable.ChainArmor,
			TemplateDefines.LootTable.LeatherArmor,   
			TemplateDefines.LootTable.PaddedArmor,
			TemplateDefines.LootTable.ArcheryWeapons,
			TemplateDefines.LootTable.CurrencyGems,
		},
		["ghook_slasher"] = 
		{
			TemplateDefines.LootTable.CurrencyMed,
			TemplateDefines.LootTable.ArcheryWeapons,
			TemplateDefines.LootTable.ChainArmor,
			TemplateDefines.LootTable.LeatherArmor,
			TemplateDefines.LootTable.PaddedArmor,
			TemplateDefines.LootTable.SlashingWeapons,
			TemplateDefines.LootTable.CurrencyGems,
			TemplateDefines.LootTable.ReagentsLow,
		},
		["ghook_basher"] = 
		{
			TemplateDefines.LootTable.CurrencyMed,
			TemplateDefines.LootTable.ArcheryWeapons,
			TemplateDefines.LootTable.ChainArmor,
			TemplateDefines.LootTable.LeatherArmor,
			TemplateDefines.LootTable.PaddedArmor,
			TemplateDefines.LootTable.BashingWeapons,
			TemplateDefines.LootTable.ReagentsLow,
			TemplateDefines.LootTable.CurrencyGems,
		},
		["ghook_piercing"] = 
		{
			TemplateDefines.LootTable.CurrencyMed,
			TemplateDefines.LootTable.ArcheryWeapons,
			TemplateDefines.LootTable.ChainArmor,
			TemplateDefines.LootTable.LeatherArmor,
			TemplateDefines.LootTable.PaddedArmor,
			TemplateDefines.LootTable.PiercingWeapons,
			TemplateDefines.LootTable.ReagentsLow,
			TemplateDefines.LootTable.CurrencyGems,
		},
		["ghook_lancing"] = 
		{
			TemplateDefines.LootTable.CurrencyMed,
			TemplateDefines.LootTable.ArcheryWeapons,
			TemplateDefines.LootTable.ChainArmor,
			TemplateDefines.LootTable.LeatherArmor,
			TemplateDefines.LootTable.PaddedArmor,
			TemplateDefines.LootTable.LancingWeapons,
			TemplateDefines.LootTable.ReagentsLow,
			TemplateDefines.LootTable.CurrencyGems,
		},		
	}
}
