SpawnerProfile.RandomSnarlFangCryptsBoss1 =
{
	ProfileName = "Snarlfang Crypts Boss1",
	ProfileTooltip = "This setup is for the snarlfang crypts, a random boss is spawned from a list of 2.",
	-- randomly generate from this list a creature to on respawn
	Templates = 
	{
		"snarlfang_goblin_starshaper",
		"snarlfang_goblin_skullcracker",
	},
	-- how often to respawn
	Frequency = SpawnDelayRules.Slow,
	-- chance in which to spawn the object from the Templates table
	SpawnChance = 1.0,
	-- how many do we spawn at this location?
	SpawnCount = 1,
	-- how often to spawn a special object from the RareSpawnTemplates table
	RareSpawnChance = 0.025,
	-- randomly generate from this list a creature to spawn instead of the normal spawn
	RareSpawnTemplates =
	{
		"snarlfang_goblin_starshaper",
		"snarlfang_goblin_skullcracker",
	},
	-- loot table overrides the original templates LootTable objvar
	LootTables = 
	{
		["snarlfang_goblin_starshaper"] = 
		{
			TemplateDefines.LootTable.CurrencyBossLow,
			TemplateDefines.LootTable.ChainArmor,
			TemplateDefines.LootTable.LeatherArmor,   
			TemplateDefines.LootTable.PaddedArmor,			
			TemplateDefines.LootTable.CurrencyMed,
			TemplateDefines.LootTable.ReagentsMed,
			TemplateDefines.LootTable.CurrencyGems,
			TemplateDefines.LootTable.CurrencyGems,
			TemplateDefines.LootTable.ChainArmor,
			TemplateDefines.LootTable.LeatherArmor,   
			TemplateDefines.LootTable.PaddedArmor,			
			TemplateDefines.LootTable.CurrencyMed,
			TemplateDefines.LootTable.ReagentsMed,
			TemplateDefines.LootTable.CurrencyGems,
			TemplateDefines.LootTable.CurrencyGems,
			TemplateDefines.LootTable.ChainArmor,
			TemplateDefines.LootTable.LeatherArmor,   
			TemplateDefines.LootTable.PaddedArmor,			
			TemplateDefines.LootTable.CurrencyMed,
			TemplateDefines.LootTable.ReagentsMed,
			TemplateDefines.LootTable.CurrencyGems,
			TemplateDefines.LootTable.CurrencyGems,
		},
		["snarlfang_goblin_skullcracker"] = 
		{
			TemplateDefines.LootTable.CurrencyBossLow,
			TemplateDefines.LootTable.ChainArmor,
			TemplateDefines.LootTable.LeatherArmor,   
			TemplateDefines.LootTable.PaddedArmor,			
			TemplateDefines.LootTable.CurrencyMed,
			TemplateDefines.LootTable.ReagentsMed,
			TemplateDefines.LootTable.CurrencyGems,
			TemplateDefines.LootTable.CurrencyGems,
			TemplateDefines.LootTable.ChainArmor,
			TemplateDefines.LootTable.LeatherArmor,   
			TemplateDefines.LootTable.PaddedArmor,			
			TemplateDefines.LootTable.CurrencyMed,
			TemplateDefines.LootTable.ReagentsMed,
			TemplateDefines.LootTable.CurrencyGems,
			TemplateDefines.LootTable.CurrencyGems,
			TemplateDefines.LootTable.ChainArmor,
			TemplateDefines.LootTable.LeatherArmor,   
			TemplateDefines.LootTable.PaddedArmor,			
			TemplateDefines.LootTable.CurrencyMed,
			TemplateDefines.LootTable.ReagentsMed,
			TemplateDefines.LootTable.CurrencyGems,
			TemplateDefines.LootTable.CurrencyGems,
		},		
	}
}