SpawnerProfile.RandomSnarlFangCryptsGoblin =
{
	ProfileName = "Snarlfang Crypts Goblin",
	ProfileTooltip = "This setup is for the snarlfang crypts a ma in dungeon. It has 4 goblins that can spawn 1 at a time.",
	-- randomly generate from this list a creature to on respawn
	Templates = 
	{
		"snarlfangcrypts_goblin_archer",
		"snarlfangcrypts_goblin_slasher",
		"snarlfangcrypts_goblin_basher",
		"snarlfangcrypts_goblin_piercer",
		"snarlfangcrypts_goblin_lancing",		
	},
	-- how often to respawn
	Frequency = SpawnDelayRules.Slow,
	-- chance in which to spawn the object from the Templates table
	SpawnChance = 1.0,
	-- how many do we spawn at this location?
	SpawnCount = 1,
	-- how often to spawn a special object from the RareSpawnTemplates table
	RareSpawnChance = 0.025,
	-- randomly generate from this list a creature to spawn instead of the normal spawn
	RareSpawnTemplates =
	{
		"snarlfang_goblin_weaponsmith",
	},
	-- loot table overrides the original templates LootTable objvar
	LootTables = 
	{
		["snarlfangcrypts_goblin_archer"] = 
		{
			TemplateDefines.LootTable.CurrencyMed,
			TemplateDefines.LootTable.ArcheryWeapons,
			TemplateDefines.LootTable.ArrowsLow,
			TemplateDefines.LootTable.ChainArmor,
			TemplateDefines.LootTable.LeatherArmor,   
			TemplateDefines.LootTable.PaddedArmor,
			TemplateDefines.LootTable.CurrencyGems,
			TemplateDefines.LootTable.ArcheryWeapons,
			TemplateDefines.LootTable.ArrowsLow,
			TemplateDefines.LootTable.ChainArmor,
			TemplateDefines.LootTable.LeatherArmor,   
			TemplateDefines.LootTable.PaddedArmor,
			TemplateDefines.LootTable.CurrencyGems,
		},
		["snarlfangcrypts_goblin_slasher"] = 
		{
			TemplateDefines.LootTable.CurrencyMed,
			TemplateDefines.LootTable.ChainArmor,
			TemplateDefines.LootTable.LeatherArmor,
			TemplateDefines.LootTable.PaddedArmor,
			TemplateDefines.LootTable.SlashingWeapons,
			TemplateDefines.LootTable.CurrencyGems,
			TemplateDefines.LootTable.ReagentsLow,
			TemplateDefines.LootTable.ChainArmor,
			TemplateDefines.LootTable.LeatherArmor,
			TemplateDefines.LootTable.PaddedArmor,
			TemplateDefines.LootTable.SlashingWeapons,
			TemplateDefines.LootTable.CurrencyGems,
			TemplateDefines.LootTable.ReagentsLow,
		},
		["snarlfangcrypts_goblin_basher"] = 
		{
			TemplateDefines.LootTable.CurrencyMed,
			TemplateDefines.LootTable.ChainArmor,
			TemplateDefines.LootTable.LeatherArmor,
			TemplateDefines.LootTable.PaddedArmor,
			TemplateDefines.LootTable.BashingWeapons,
			TemplateDefines.LootTable.ReagentsLow,
			TemplateDefines.LootTable.CurrencyGems,
			TemplateDefines.LootTable.ChainArmor,
			TemplateDefines.LootTable.LeatherArmor,
			TemplateDefines.LootTable.PaddedArmor,
			TemplateDefines.LootTable.BashingWeapons,
			TemplateDefines.LootTable.ReagentsLow,
			TemplateDefines.LootTable.CurrencyGems,
		},
		["snarlfangcrypts_goblin_piercer"] = 
		{
			TemplateDefines.LootTable.CurrencyMed,
			TemplateDefines.LootTable.ChainArmor,
			TemplateDefines.LootTable.LeatherArmor,
			TemplateDefines.LootTable.PaddedArmor,
			TemplateDefines.LootTable.PiercingWeapons,
			TemplateDefines.LootTable.ReagentsLow,
			TemplateDefines.LootTable.CurrencyGems,
			TemplateDefines.LootTable.ChainArmor,
			TemplateDefines.LootTable.LeatherArmor,
			TemplateDefines.LootTable.PaddedArmor,
			TemplateDefines.LootTable.PiercingWeapons,
			TemplateDefines.LootTable.ReagentsLow,
			TemplateDefines.LootTable.CurrencyGems,
		},
		["snarlfangcrypts_goblin_lancing"] = 
		{
			TemplateDefines.LootTable.CurrencyMed,
			TemplateDefines.LootTable.ChainArmor,
			TemplateDefines.LootTable.LeatherArmor,
			TemplateDefines.LootTable.PaddedArmor,
			TemplateDefines.LootTable.LancingWeapons,
			TemplateDefines.LootTable.ReagentsLow,
			TemplateDefines.LootTable.CurrencyGems,
			TemplateDefines.LootTable.ChainArmor,
			TemplateDefines.LootTable.LeatherArmor,
			TemplateDefines.LootTable.PaddedArmor,
			TemplateDefines.LootTable.LancingWeapons,
			TemplateDefines.LootTable.ReagentsLow,
			TemplateDefines.LootTable.CurrencyGems,
		},	
	}
}