SpawnerProfile.RandomTrenchian =
{
	ProfileName = "The Trench",
	ProfileTooltip = "This setup is for the trench just south of the landing. It has 5 humans that can spawn 1 at a time.",
	-- randomly generate from this list a creature to on respawn
	Templates = 
	{
		"the_trench_human_archer",
		"the_trench_human_slasher",
		"the_trench_human_basher",
		"the_trench_human_piercing",
		"the_trench_human_lancing",
	},
	-- how often to respawn
	Frequency = SpawnDelayRules.Slow,
	-- chance in which to spawn the object from the Templates table
	SpawnChance = 1.0,
	-- how many do we spawn at this location?
	SpawnCount = 1,
	-- loot table overrides the original templates LootTable objvar
	LootTables = 
	{
		["the_trench_human_archer"] = 
		{
			TemplateDefines.LootTable.CurrencyLow,
			TemplateDefines.LootTable.ArcheryWeapons,
			TemplateDefines.LootTable.ArrowsLow,
			TemplateDefines.LootTable.ChainArmor,
			TemplateDefines.LootTable.LeatherArmor,   
			TemplateDefines.LootTable.PaddedArmor,
			TemplateDefines.LootTable.ArcheryWeapons,
			TemplateDefines.LootTable.CurrencyGems,
		},
		["the_trench_human_slasher"] = 
		{
			TemplateDefines.LootTable.CurrencyLow,
			TemplateDefines.LootTable.ArcheryWeapons,
			TemplateDefines.LootTable.ChainArmor,
			TemplateDefines.LootTable.LeatherArmor,
			TemplateDefines.LootTable.PaddedArmor,
			TemplateDefines.LootTable.SlashingWeapons,
			TemplateDefines.LootTable.CurrencyGems,
			TemplateDefines.LootTable.ReagentsLow,
		},
		["the_trench_human_basher"] = 
		{
			TemplateDefines.LootTable.CurrencyLow,
			TemplateDefines.LootTable.ArcheryWeapons,
			TemplateDefines.LootTable.ChainArmor,
			TemplateDefines.LootTable.LeatherArmor,
			TemplateDefines.LootTable.PaddedArmor,
			TemplateDefines.LootTable.BashingWeapons,
			TemplateDefines.LootTable.ReagentsLow,
			TemplateDefines.LootTable.CurrencyGems,
		},
		["the_trench_human_piercing"] = 
		{
			TemplateDefines.LootTable.CurrencyLow,
			TemplateDefines.LootTable.ArcheryWeapons,
			TemplateDefines.LootTable.ChainArmor,
			TemplateDefines.LootTable.LeatherArmor,
			TemplateDefines.LootTable.PaddedArmor,
			TemplateDefines.LootTable.PiercingWeapons,
			TemplateDefines.LootTable.ReagentsLow,
			TemplateDefines.LootTable.CurrencyGems,
		},
		["the_trench_human_lancing"] = 
		{
			TemplateDefines.LootTable.CurrencyLow,
			TemplateDefines.LootTable.ArcheryWeapons,
			TemplateDefines.LootTable.ChainArmor,
			TemplateDefines.LootTable.LeatherArmor,
			TemplateDefines.LootTable.PaddedArmor,
			TemplateDefines.LootTable.LancingWeapons,
			TemplateDefines.LootTable.ReagentsLow,
			TemplateDefines.LootTable.CurrencyGems,
		},		
	}
}

