-----------------------------------------------------------------------------------------------
-- VERSION 1.0
-----------------------------------------------------------------------------------------------
--TODO: DOCUMENT SCALING
-----------------------------------------------------------------------------------------------
MobileEffectLibrary.Meteor = 
{
	-------------------------------------------------------------------------------------------
	-- CORE VARIABLES
	-------------------------------------------------------------------------------------------
	Caster = nil,
	ImpactRange = 5,
	MinDamage = 45,
	MaxDamage = 55,
	-------------------------------------------------------------------------------------------
	-- CORE FUNCTIONS
	-------------------------------------------------------------------------------------------
	OnEnterState = function(self,root,target,args)
		self.Caster = self.ParentObj
		self.MeteorImpact(self,root,target,args)	
	end,
	OnExitState = function(self,root)
	end,
	-------------------------------------------------------------------------------------------
	-- CUSTOM FUNCTIONS
	-------------------------------------------------------------------------------------------
	MeteorImpact = function(self,root,target,args)
		local spellDamage = math.random(self.MinDamage,self.MaxDamage)
		PlayEffectAtLoc("MeteorEffect",target)
		CallFunctionDelayed(TimeSpan.FromSeconds(1.75),function()
			local mobiles = FindObjects(SearchMulti({SearchRange(target,self.ImpactRange),SearchMobile()}), GameObj(0))
			for i=1,#mobiles do
				if ( mobiles[i]:HasLineOfSightToLoc(target,ServerSettings.Combat.LOSEyeLevel) and ValidCombatTarget(self.Caster, mobiles[i], true) ) then
					mobiles[i]:SendMessage("DamageInflicted",self.Caster,spellDamage,"MAGIC",false,false,false,self.Caster)
				end
			end			 
		end)
		EndMobileEffect(root)
	end,	
}